#!/usr/bin/perl
################################################################
# Program:	kmdbms.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage WHERE FormName = 'KMPersonnel'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'KMPersonnel', 'Knowledge Management Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'KM_Personnel.pl', 'POST' )");

################################################################
#  Input lines for form KMPersonnel
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'KMPersonnel'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'KMPersonnel'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'KMPersonnel'");

${FormName} = 'KMPersonnel';
${InputName} = 'NETPLEXID';
${PositionID} = '1';
${InputPrompt} = 'Employee ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex Employee ID';
${TableName} = 'KEY';
${FieldName} = 'NetplexID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLTYPE';
${PositionID} = '2';
${InputPrompt} = 'Skill Type';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a skill type ID number';
${TableName} = 'KMPersonnel';
${FieldName} = 'SkillType';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLCLASS';
${PositionID} = '3';
${InputPrompt} = 'Skill Classification';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a skill classification ID number';
${TableName} = 'KMPersonnel';
${FieldName} = 'SkillClass';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLID';
${PositionID} = '4';
${InputPrompt} = 'Skill ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a skill ID number';
${TableName} = 'KMPersonnel';
${FieldName} = 'SkillID';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLDESC';
${PositionID} = '5';
${InputPrompt} = 'Skill Description';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a description of this skill';
${TableName} = 'KMPersonnel';
${FieldName} = 'SkillDesc';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLEVEL';
${PositionID} = '6';
${InputPrompt} = 'Skill Level';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select a skill level';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLEVEL';
${PositionID} = '601';
${InputPrompt} = 'Expert';
${InputTypeCGI} = 'option';
${InputValue} = 'expert';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLEVEL';
${PositionID} = '602';
${InputPrompt} = 'Senior';
${InputTypeCGI} = 'option';
${InputValue} = 'senior';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLEVEL';
${PositionID} = '603';
${InputPrompt} = 'Mid Level';
${InputTypeCGI} = 'option';
${InputValue} = 'midlevel';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLEVEL';
${PositionID} = '604';
${InputPrompt} = 'Junior';
${InputTypeCGI} = 'option';
${InputValue} = 'junior';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '7';
${InputPrompt} = 'Years of Experience';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select the number of years of experience with this skill';
${TableName} = 'KMProjects';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '701';
${InputPrompt} = '0-1';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '702';
${InputPrompt} = '1-2';
${InputTypeCGI} = 'option';
${InputValue} = '2';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '703';
${InputPrompt} = '3-4';
${InputTypeCGI} = 'option';
${InputValue} = '4';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '704';
${InputPrompt} = '5-6';
${InputTypeCGI} = 'option';
${InputValue} = '6';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '705';
${InputPrompt} = '7-8';
${InputTypeCGI} = 'option';
${InputValue} = '8';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '706';
${InputPrompt} = '9-10';
${InputTypeCGI} = 'option';
${InputValue} = '10';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLEXP';
${PositionID} = '707';
${InputPrompt} = '10+';
${InputTypeCGI} = 'option';
${InputValue} = '11';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '8';
${InputPrompt} = 'Skill Last Used';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select how long ago the skill was last used';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '801';
${InputPrompt} = '< 1 mo';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '802';
${InputPrompt} = '< 6 mo';
${InputTypeCGI} = 'option';
${InputValue} = '6';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '803';
${InputPrompt} = '< 1 yr';
${InputTypeCGI} = 'option';
${InputValue} = '12';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '804';
${InputPrompt} = '< 3 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '36';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '805';
${InputPrompt} = '< 5 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '60';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '806';
${InputPrompt} = '< 8 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '96';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLLAST';
${PositionID} = '807';
${InputPrompt} = '< 10 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '120';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLPREF';
${PositionID} = '9';
${InputPrompt} = 'Skill Preference';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select a preference for practicing this skill';
${TableName} = 'KMProjects';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLPREF';
${PositionID} = '905';
${InputPrompt} = 'Very High';
${InputTypeCGI} = 'option';
${InputValue} = '5';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLPREF';
${PositionID} = '904';
${InputPrompt} = 'High';
${InputTypeCGI} = 'option';
${InputValue} = '4';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLPREF';
${PositionID} = '903';
${InputPrompt} = 'Neutral';
${InputTypeCGI} = 'option';
${InputValue} = '3';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLPREF';
${PositionID} = '902';
${InputPrompt} = 'Low';
${InputTypeCGI} = 'option';
${InputValue} = '2';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMPersonnel';
${InputName} = 'SKILLPREF';
${PositionID} = '901';
${InputPrompt} = 'Very Low';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

$dbh->disconnect();
