#!/usr/bin/perl
################################################################
# Program:	associateinfo.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage WHERE FormName = 'AssociateInfo'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'AssociateInfo', 'Associate Information', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', 'POST' )");

################################################################
#  Input lines for form AssociateInfo
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'AssociateInfo'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'AssociateInfo'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'AssociateInfo'");

${FormName} = 'AssociateInfo';
${InputName} = 'NETPLEXID';
${PositionID} = '1';
${InputPrompt} = 'Netplex ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex ID of this Associate';
${TableName} = 'KEY';
${FieldName} = 'NetplexID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ASSOCIATENUMBER';
${PositionID} = '2';
${InputPrompt} = 'Associate Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the AIG Associate Number';
${TableName} = 'KEY';
${FieldName} = 'AssociateNumber';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'LASTNAME';
${PositionID} = '3';
${InputPrompt} = 'Last Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Associates last name';
${TableName} = 'T_Associates';
${FieldName} = 'LastName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'FIRSTNAME';
${PositionID} = '4';
${InputPrompt} = 'First Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the associates first name';
${TableName} = 'T_Associates';
${FieldName} = 'FirstName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '30';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'EMPLOYEELOCATION';
${PositionID} = '5';
${InputPrompt} = 'Employee Location';
${InputTypeCGI} = 'select';
${InputValue} = 'benson';
${InputHelp} = 'Enter the Location where this employee works';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'EMPLOYEELOCATION';
${PositionID} = '501';
${InputPrompt} = 'Benson Road';
${InputTypeCGI} = 'option';
${InputValue} = 'benson';
${InputHelp} = '';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'EMPLOYEELOCATION';
${PositionID} = '502';
${InputPrompt} = 'Broadway';
${InputTypeCGI} = 'option';
${InputValue} = 'broadway';
${InputHelp} = '';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'EMPLOYEELOCATION';
${PositionID} = '503';
${InputPrompt} = 'Other';
${InputTypeCGI} = 'option';
${InputValue} = 'other';
${InputHelp} = '';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ROOM';
${PositionID} = '6';
${InputPrompt} = 'Room';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the room number where this employee works';
${TableName} = 'T_Location';
${FieldName} = 'Room';
${InputTypeSQL} = 'smallint';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'EXTENSION';
${PositionID} = '7';
${InputPrompt} = 'Extension';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the telephone extension number of this employee';
${TableName} = 'T_Location';
${FieldName} = 'Extension';
${InputTypeSQL} = 'smallint';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'HOMEPHONE';
${PositionID} = '8';
${InputPrompt} = 'Home Phone';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the home telephone number of this employee';
${TableName} = 'T_Location';
${FieldName} = 'HomePhone';
${InputTypeSQL} = 'varchar(255)';
${Height} = '16';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'EMAILUSERNAME';
${PositionID} = '9';
${InputPrompt} = 'Email User Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Email user name of this employee';
${TableName} = 'T_Email';
${FieldName} = 'EmailUsername';
${InputTypeSQL} = 'varchar(255)';
${Height} = '32';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'MACHINENAME';
${PositionID} = '10';
${InputPrompt} = 'Users Machine Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the computer name of this employee';
${TableName} = 'T_Email';
${FieldName} = 'MachineName';
${InputTypeSQL} = 'varchar(255)';
${Height} = '32';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'DOMAIN';
${PositionID} = '11';
${InputPrompt} = 'Domain Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the TCP/IP Domain Name of this employees Email address';
${TableName} = 'T_Email';
${FieldName} = 'Domain';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'CELLNUMBER';
${PositionID} = '12';
${InputPrompt} = 'Cell Phone Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the cell phone number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'CellNumber';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PAGERNUMBER';
${PositionID} = '13';
${InputPrompt} = 'Pager Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the pager phone number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerNumber';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PAGERPROMPTWAIT';
${PositionID} = '14';
${InputPrompt} = 'Pager Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '22';
${InputHelp} = 'Enter the number of seconds to wait for voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerPromptWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PAGERPIN';
${PositionID} = '15';
${InputPrompt} = 'Pager PIN Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Pager PIN number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerPin';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PAGERPINWAIT';
${PositionID} = '16';
${InputPrompt} = 'Pager PIN Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '2';
${InputHelp} = 'Enter the number of seconds to wait for PIN number voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerPinWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ISPAGERAN';
${PositionID} = '17';
${InputPrompt} = 'Is this an Alphanumeric Pager';
${InputTypeCGI} = 'select';
${InputValue} = 'N';
${InputHelp} = 'Enter a Y or N to indicate whether or not this is an alphanumeric pager';
${TableName} = 'T_Mobile';
${FieldName} = 'IsPagerAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ISPAGERAN';
${PositionID} = '1701';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsPagerAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ISPAGERAN';
${PositionID} = '1702';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsPagerAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PROVIDERNUMBER';
${PositionID} = '18';
${InputPrompt} = 'Provider Pager Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Provider pager phone number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProviderNumber';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PROVIDERPROMPTWAIT';
${PositionID} = '19';
${InputPrompt} = 'Provider Pager Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '22';
${InputHelp} = 'Enter the number of seconds to wait for voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProviderPromptWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PROVIDERPIN';
${PositionID} = '20';
${InputPrompt} = 'Provider Pager PIN Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Provider Pager PIN number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProviderPin';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'PROVIDERPINWAIT';
${PositionID} = '21';
${InputPrompt} = 'Provider Pager PIN Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '2';
${InputHelp} = 'Enter the number of seconds to wait for PIN number voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProviderPinWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ISPROVIDERAN';
${PositionID} = '22';
${InputPrompt} = 'Is this an Alphanumeric Pager';
${InputTypeCGI} = 'select';
${InputValue} = 'N';
${InputHelp} = 'Enter a Y or N to indicate whether or not this is an alphanumeric pager';
${TableName} = 'T_Mobile';
${FieldName} = 'IsProviderAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ISPROVIDERAN';
${PositionID} = '2201';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsProviderAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ISPROVIDERAN';
${PositionID} = '2202';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsProviderAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'AssociateInfo';
${InputName} = 'ALPHANUMERICURL';
${PositionID} = '23';
${InputPrompt} = 'AlphaNumeric URL';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the URL for sending Alphanumeric message to this pager';
${TableName} = 'T_Mobile';
${FieldName} = 'AlphaNumericURL';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

$dbh->disconnect();

