#!/usr/bin/perl
################################################################
# Program:	kmcertify.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage WHERE FormName = 'KMCertify'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'KMCertify', 'KM Certification Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'kmskills_pretable.pl', 'POST' )");

################################################################
#  Input lines for form KMCertify
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'KMCertify'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'KMCertify'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'KMCertify'");

${FormName} = 'KMCertify';
${InputName} = 'NETPLEXID';
${PositionID} = '1';
${InputPrompt} = 'Employee ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex Employee ID';
${TableName} = 'KEY';
${FieldName} = 'NetplexID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'KMCertify';
${InputName} = 'SKILLTYPE';
${PositionID} = '2';
${InputPrompt} = 'Skill Type';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a skill type ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillType';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'KMCertify';
${InputName} = 'SKILLCLASS';
${PositionID} = '3';
${InputPrompt} = 'Skill Classification';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a skill classification ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillClass';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'KMCertify';
${InputName} = 'SKILLID';
${PositionID} = '4';
${InputPrompt} = 'Skill ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a skill ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillID';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'KMCertify';
${InputName} = 'CERTIFICATION';
${PositionID} = '10';
${InputPrompt} = 'Certification and Training';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Describe achieved certification and/or training for this skill';
${TableName} = 'KMCertify';
${FieldName} = 'Certification';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMCertify';
${InputName} = 'CERTNUMBER';
${PositionID} = '11';
${InputPrompt} = 'Certification Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a certification number or ID';
${TableName} = 'KMCertify';
${FieldName} = 'CertNumber';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMCertify';
${InputName} = 'CERTRENEW';
${PositionID} = '12';
${InputPrompt} = 'Certification Renewal Date';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a date when certification must be renewed';
${TableName} = 'KMCertify';
${FieldName} = 'CertRenew';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

$dbh->disconnect();
