#!/usr/bin/perl
################################################################
# Program:	kmprojects.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage WHERE FormName = 'KMProjects'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'KMProjects', 'KM Projects Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', 'POST' )");

################################################################
#  Input lines for form KMProjects
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'KMProjects'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'KMProjects'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'KMProjects'");

${FormName} = 'KMProjects';
${InputName} = 'PROJECTID';
${PositionID} = '1';
${InputPrompt} = 'Project ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex Project ID';
${TableName} = 'KEY';
${FieldName} = 'ProjectID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CORECOMP';
${PositionID} = '2';
${InputPrompt} = 'Core Competency Addressed';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'What core Netplex Group competency does this project address';
${TableName} = 'KMProjects';
${FieldName} = 'CoreComp';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CUSTNAME';
${PositionID} = '3';
${InputPrompt} = 'Customer Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Name of the Customer';
${TableName} = 'KMProjects';
${FieldName} = 'CustName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PROJSPON';
${PositionID} = '4';
${InputPrompt} = 'Project Sponsor';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of the project sponsor from the customer';
${TableName} = 'KMProjects';
${FieldName} = 'ProjSpon';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PROJSPONTITLE';
${PositionID} = '5';
${InputPrompt} = 'Title of Project Sponsor';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the title of the project sponsor from the customer';
${TableName} = 'KMProjects';
${FieldName} = 'ProjSponTitle';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'BIZSEGMENT';
${PositionID} = '6';
${InputPrompt} = 'Business Segment';
${InputTypeCGI} = 'select';
${InputValue} = 'retail';
${InputHelp} = 'Enter the Business Segment in which this customer operates';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'BIZSEGMENT';
${PositionID} = '601';
${InputPrompt} = 'Retail';
${InputTypeCGI} = 'option';
${InputValue} = 'retail';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'BIZSEGMENT';
${PositionID} = '602';
${InputPrompt} = 'Government';
${InputTypeCGI} = 'option';
${InputValue} = 'government';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'BIZSEGMENT';
${PositionID} = '603';
${InputPrompt} = 'Telecommunications';
${InputTypeCGI} = 'option';
${InputValue} = 'telecomm';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'BIZSEGMENT';
${PositionID} = '604';
${InputPrompt} = 'Health Care';
${InputTypeCGI} = 'option';
${InputValue} = 'healthcare';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'INDSEGMENT';
${PositionID} = '7';
${InputPrompt} = 'Industry Segment';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Industry Segment in which this customer operates';
${TableName} = 'KMProjects';
${FieldName} = 'IndSegment';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PROJNAME';
${PositionID} = '8';
${InputPrompt} = 'Name and Type of Project';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name and type of project';
${TableName} = 'KMProjects';
${FieldName} = 'ProjName';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'BIZPROBLEM';
${PositionID} = '9';
${InputPrompt} = 'Description of Business Problem';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Enter a Description of the customers business problem and technical issues';
${TableName} = 'KMProjects';
${FieldName} = 'BizProblem';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'NTPLSOLUTION';
${PositionID} = '10';
${InputPrompt} = 'Netplex Approach and Solution';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Enter a Description of Netplexs approach and solution to the customers business problem and technical issues';
${TableName} = 'KMProjects';
${FieldName} = 'NtplSolution';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PROJLEN';
${PositionID} = '11';
${InputPrompt} = 'Length of Project';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Length of the project';
${TableName} = 'KMProjects';
${FieldName} = 'ProjLen';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'COMPDATE';
${PositionID} = '12';
${InputPrompt} = 'Date Project Completed';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the date the project was completed';
${TableName} = 'KMProjects';
${FieldName} = 'CompDate';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PROJVALUE';
${PositionID} = '13';
${InputPrompt} = 'Value of the Project';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the US Dollar value of the project';
${TableName} = 'KMProjects';
${FieldName} = 'ProjValue';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'TECHNOLOGY';
${PositionID} = '14';
${InputPrompt} = 'Technology Implemented';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Enter a description of the technology implemented during the project';
${TableName} = 'KMProjects';
${FieldName} = 'Technology';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'HWSWUSED';
${PositionID} = '15';
${InputPrompt} = 'Hardware and Software';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a list of hardware and software used during the project';
${TableName} = 'KMProjects';
${FieldName} = 'HwSwUsed';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'APPDEV';
${PositionID} = '16';
${InputPrompt} = 'App Dev Environment';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a description of the application development environment and packages used';
${TableName} = 'KMProjects';
${FieldName} = 'AppDev';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PERCENTHW';
${PositionID} = '17';
${InputPrompt} = 'Percentage Hardware';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the percentage of the project which was hardware';
${TableName} = 'KMProjects';
${FieldName} = 'PercentHw';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PERCENTSW';
${PositionID} = '18';
${InputPrompt} = 'Percent Software';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the percentage of the project which was software';
${TableName} = 'KMProjects';
${FieldName} = 'PercentSw';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'PECENTSERV';
${PositionID} = '19';
${InputPrompt} = 'Percent Services';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the percentage of the project which was services';
${TableName} = 'KMProjects';
${FieldName} = 'PercentServ';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'NTPLROLE';
${PositionID} = '20';
${InputPrompt} = 'Netplexs Role';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'What role did netplex play in the total project';
${TableName} = 'KMProjects';
${FieldName} = 'NtplRole';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'REFERENCABLE';
${PositionID} = '21';
${InputPrompt} = 'Referencable';
${InputTypeCGI} = 'select';
${InputValue} = '1';
${InputHelp} = 'Is the Account Referencable';
${TableName} = 'KMProjects';
${FieldName} = 'Referencable';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'REFERENCABLE';
${PositionID} = '2101';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'Referencable';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'REFERENCABLE';
${PositionID} = '2102';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'Referencable';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CLIENTSAT';
${PositionID} = '22';
${InputPrompt} = 'Client Satisfaction';
${InputTypeCGI} = 'select';
${InputValue} = '5';
${InputHelp} = 'What is the level of client Satisfaction';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CLIENTSAT';
${PositionID} = '2205';
${InputPrompt} = 'High';
${InputTypeCGI} = 'option';
${InputValue} = '5';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CLIENTSAT';
${PositionID} = '2204';
${InputPrompt} = 'Above Average';
${InputTypeCGI} = 'option';
${InputValue} = '4';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CLIENTSAT';
${PositionID} = '2203';
${InputPrompt} = 'Moderate';
${InputTypeCGI} = 'option';
${InputValue} = '3';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CLIENTSAT';
${PositionID} = '2202';
${InputPrompt} = 'Below Average';
${InputTypeCGI} = 'option';
${InputValue} = '2';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'CLIENTSAT';
${PositionID} = '2201';
${InputPrompt} = 'Low';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'FOLLOWUP';
${PositionID} = '23';
${InputPrompt} = 'Follow up Work';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'List the follow-up work Netplex has done';
${TableName} = 'KMProjects';
${FieldName} = 'FollowUp';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'ALLOWUSECO';
${PositionID} = '24';
${InputPrompt} = 'Use Customer Name';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer will allow use of Company Name';
${TableName} = 'KMProjects';
${FieldName} = 'AllowUseCo';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'ALLOWUSEEM';
${PositionID} = '25';
${InputPrompt} = 'Use Customer Employee Name';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer will allow Netplex to use one of their employees as a reference';
${TableName} = 'KMProjects';
${FieldName} = 'AllowUseEm';
${InputTypeSQL} = 'int';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'TESTIMONIAL';
${PositionID} = '26';
${InputPrompt} = 'Customer Testimonial';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer is willing to provide testimonial as a reference';
${TableName} = 'KMProjects';
${FieldName} = 'Testimonial';
${InputTypeSQL} = 'int';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'KMProjects';
${InputName} = 'SUCCESSSTORY';
${PositionID} = '27';
${InputPrompt} = 'Success Story Participation';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer is willing to participate in success story';
${TableName} = 'KMProjects';
${FieldName} = 'SuccessStory';
${InputTypeSQL} = 'int';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

$dbh->disconnect();
