#!/usr/bin/perl
################################################################
# Program:	ntplinsert.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Netplex customized version of insert.pl
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/18/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

do 'DS_DBIforms.pl';
do 'SUB_DBIntpl.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

if ( ${FORMNAME} eq '' ) {
    ${TITLE1} = "Invalid Form Name";
    ${TITLE2} = "";
    ${TITLE3} = "Insert a Record";
    &titleBar;
    print "<P><H2>ERROR: Invalid Form Name</H2></P>\n";
    &footer;
    exit;
}

################################################################
# Parse through the CGI vars again and extract the tables, fields and values
################################################################
my ($fields) = '';
my ($FIELDS);
my ($VALUES);
foreach $pair (@pairs) {
    ($key, $value) = split(/=/, $pair);
    ${_} = ${key};
    next if m|(.+?)_TABLENAME$|;
    next if m|(.+?)_FIELDNAME$|;
#     next if m|^FORMNAME$|;

#     $value =~ tr/+/ /;
#     $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
#     $value =~ tr/\cM/\n/;
# #     print "$key = $value<BR>\n";
#     eval("\$$key = \"$value\"");
#     $FORM{$key} = $value;

    eval("\${TABLEID} = \"\${${key}_TABLENAME}\"");
    eval("\${FIELDID} = \"\${${key}_FIELDNAME}\"");
#     $fields->{${TABLEID}}->{${FIELDID}} = ${value};
    $fields->{${TABLEID}}->{${FIELDID}} = ${${key}};
#     print "fields->{${TABLEID}}{${FIELDID}} = ", $fields->{${TABLEID}}{${FIELDID}}, "<BR>\n";
}

################################################################
# Build variable with field names and field values
################################################################
# if ( $fields ne '' ) {
foreach $subkey1 (keys %$fields) {
    $keyref = $fields->{${subkey1}};
    foreach $subkey2 (keys %$keyref) {
        $SQLFIELDS{${subkey1}} = $SQLFIELDS{${subkey1}} . ${subkey2} . ", ";
        $SQLVALUES{${subkey1}} = $SQLVALUES{${subkey1}} . "'" . $fields->{${subkey1}}{${subkey2}} . "', ";
    }
}

################################################################
# Build and execute SQL statement
################################################################
# $dbh->begin;
foreach $subkey1 (keys %SQLFIELDS) {
    if ( $subkey1 ne 'KEY' && $subkey1 ne '' ) {
        my ${TMPFIELDS} = $SQLFIELDS{KEY} . $SQLFIELDS{${subkey1}};
        ${TMPFIELDS} =~ s|, $||g;
        ${TMPFIELDS} =~ s|,$||g;

        my ${TMPVALUES} = $SQLVALUES{KEY} . $SQLVALUES{${subkey1}};
        ${TMPVALUES} =~ s|, $||g;
        ${TMPVALUES} =~ s|,$||g;

        $sql_statement = "insert into " . ${subkey1} . " ( " . ${TMPFIELDS} . " ) VALUES ( " . ${TMPVALUES} . " )";
        print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";
        my($sth) = $dbh->do($sql_statement);
        if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; $dbh->rollback; last; }
        $dbh->commit;
    }
}
# }

$sth->finish();
$dbh->disconnect();
$dbh1 = DBI->connect() ;
$dbh2 = DBI->connect() ;
$dbh3 = DBI->connect() ;

${TITLE1} = ${Page_Title};
${TITLE2} = "";
${TITLE3} = "Insert a Record";
&titleBar;

print "<P><HR></P>\n";
print "<FORM Action=\"$ENV{SCRIPT_NAME}\" Method=\"${Form_Method}\"><P><CENTER>\n";
print "<INPUT Type=\"hidden\" Name=\"FORMNAME\" Value=\"${FORMNAME}\">\n";
print "<TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" Cellpadding=\"${CellPadding}\">\n";
# DLF print "<FORM><P><CENTER>\n";
# DLF print "<TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" Cellpadding=\"${CellPadding}\">\n";

$sql = "SELECT * FROM InputLines WHERE FormName = '${FORMNAME}' AND InputTypeCGI <> 'option' ORDER BY PositionID";
$sth1 = $dbh1->prepare($sql);
$sth1->execute;
my(@InputLines);
my $rl_names = $sth1->{NAME};
while (@InputLines = $sth1->fetchrow_array) {

    if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
# print "${field_name} = ${${field_name}}<BR>\n";
    }

    $sql = "select * from InputDB WHERE FormName = '${FORMNAME}' AND InputName = '${InputName}' AND PositionID = '${PositionID}'";
    &fetchInputDB;

    $sql = "select * from InputAttributes WHERE FormName = '${FORMNAME}' AND InputName = '${InputName}' AND PositionID = '${PositionID}'";
    &fetchInputAttributes;

    $sth2->finish();
    $sth3->finish();

    if ( ${InputTypeCGI} eq 'option' ) {
      next;
    }

    ${InputValue} = localtime() if ( ${InputValue} eq '${LOCALTIME}' );

    print "<P>\n";
    print "  <TR>\n";
#     &positionID;
    &inputPrompt;
    &inputValue;
#     &inputHelp;
    print "  </TR>\n";
    print "</P>\n";
}

print "<P><CAPTION Align=\"top\"><STRONG><FONT Size=\"${Siz_THFont}\">\n";
print "<FONT Color=\"red\">*</FONT> - \n";
print "<FONT Color=\"${Clr_THFont}\">Indicates required input</FONT>\n";
print "</FONT></STRONG></CAPTION></P>\n";

print "</TABLE></CENTER></P>\n";
print "<P><CENTER>\n";
print "<INPUT Type=\"submit\" Value=\"Submit\">\n";
print "&nbsp;<INPUT Type=\"reset\" Value=\"Reset\">\n";
print "</CENTER></P>\n";
print "</FORM>\n";
print "<P><HR></P>\n";

# &linkBar;
&footer;

$dbh1->disconnect();
$dbh2->disconnect();
$dbh3->disconnect();
