#!/usr/bin/perl
################################################################
# Program:	select.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Allows user to view existing records from database
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

my ($SQLSELECT) = "";
my ($SQLUPDATE) = "";

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

if ( ${FORMNAME} eq '' ) {
    ${text_string} = "to VIEW existing records from all tables associated with form";
    &formNameNull;
}

${TITLE1} = ${Page_Title};
${TITLE2} = "List of records from all associated tables";
${TITLE3} = "";
&titleBar;

$sql = "SELECT Distinct TableName,FieldName,InputTypeSQL FROM InputDB WHERE FormName = '${FORMNAME}'";
$sth = $dbh->prepare($sql);
$sth->execute;
my(@InputLines);
my $rl_names = $sth->{NAME};
while (@InputLines = $sth->fetchrow_array) {

    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
#      print ${field_name} . " = " . ${${field_name}} . "<BR>\n";
    }

    $SQLFIELDS{${TableName}} = $SQLFIELDS{${TableName}} . ${FieldName} . ", ";
#     print "key = " . $SQLFIELDS{KEY} . "\n";
#     print "InputLines = " . $SQLFIELDS{InputLines} . "\n";
#     print "InputDB = " . $SQLFIELDS{InputDB} . "\n";
#     print "InputAttributes = " . $SQLFIELDS{InputAttributes} . "\n";
}
$sth->finish();

# $sth2 = $dbh->do("begin work");

foreach $table_name (keys %SQLFIELDS) {
  if ( $table_name ne 'KEY' ) {
    my ${TMPFIELDS} = $SQLFIELDS{KEY} . $SQLFIELDS{${table_name}};
    ${TMPFIELDS} =~ s|, $||g;
    $sql_statement = "SELECT ${TMPFIELDS} FROM ${table_name}";
#     print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";
    $sth = $dbh->prepare($sql_statement);
    $sth->execute;
    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    my $rl_names = $sth->{NAME};
#     my @columns = @$rl_names;
#     my $colspan = $#columns + 1;

    print "<P><HR></P>\n";
    print "<P><STRONG><FONT Size=\"+1\">Database Table:</STRONG> <I>${table_name}</I></FONT></P>\n";
    print "<P><TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" CellPadding=\"${CellPadding}\">\n";
#     print "<P><TR><TH Bgcolor=\"${Clr_THBg}\" Colspan=\"${colspan}\" Align=left><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">Table: ${table_name}</FONT></TH></TR></P>\n";

    print "<P><TR>\n";
    foreach $field_name (@$rl_names) {
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">${field_name}</FONT></TH>\n";
    }
    print "</TR></P>\n";

    while (@results = $sth->fetchrow_array) {
      if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
      print "<P><TR>\n";
      foreach $field_name (@$rl_names) {
        ${${field_name}} = shift @results;
#         print "<P><TR><TD>${field_name}</TD><TD>${${field_name}}</TD></TR></P>\n";
        print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
      }
      print "</TR></P>\n";
    }
    print "</TABLE></P>\n";
  }
}
print "<P><HR></P>\n";

&linkBar;
&footer;

$dbh->disconnect();
