#!/usr/bin/perl
################################################################
# Program:	update.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Allows user to update existing records in database
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

$SQLSELECT = "";
$SQLUPDATE = "";

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

print "<!-- QUERY_STRING = $ENV{QUERY_STRING} -->\n";

if ( ${FORMNAME} eq '' ) {
    ${text_string} = "to UPDATE existing records from all tables associated with form";
    &formNameNull;
}

# print "<P><H1>sqlselect = ${SQLSELECT}</H1></P>\n";

&sqlselect if ( ${SQLSELECT} ne '' );

${TITLE1} = ${Page_Title};
${TITLE2} = "List of records from all associated tables";
${TITLE3} = "Update a Record";
&titleBar;

&sqlupdate if ( ${SQLUPDATE} ne '' );

$sql = "SELECT Distinct TableName,FieldName,InputTypeSQL FROM InputDB WHERE FormName = '${FORMNAME}'";

$sth = $dbh->prepare($sql);
$sth->execute;
my(@InputLines);
my $rl_names = $sth->{NAME};
while (@InputLines = $sth->fetchrow_array) {
    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
# print ${field_name} . " = " . ${${field_name}} . "<BR>\n";
    }
    $SQLFIELDS{${TableName}} = $SQLFIELDS{${TableName}} . ${FieldName} . ", ";
}
$sth->finish();

print "<FORM Action=\"$ENV{SCRIPT_NAME}\" Method=\"${Form_Method}\">\n"; 
print "<INPUT Type=\"hidden\" Name=\"FORMNAME\" Value=\"${FORMNAME}\">\n";
foreach $table_name (keys %SQLFIELDS) {
  if ( $table_name ne 'KEY' ) {
    my ${TMPFIELDS} = $SQLFIELDS{KEY} . $SQLFIELDS{${table_name}};
    ${TMPFIELDS} =~ s|, $||g;
    $sql_statement = "SELECT ${TMPFIELDS} FROM ${table_name}";
#     print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";
    $sth = $dbh->prepare($sql_statement);
    $sth->execute;
    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    my $rl_names = $sth->{NAME};

    print "<P><HR></P>\n";
    print "<P><STRONG><FONT Size=\"+1\">Database Table:</STRONG> <I>${table_name}</I></FONT></P>\n";
    print "<P><TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" CellPadding=\"${CellPadding}\">\n";

    print "<P><TR>\n";
    print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">Update</FONT></TH>\n";
    foreach $field_name (@$rl_names) {
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">${field_name}</FONT></TH>\n";
    }
    print "</TR></P>\n";

    while (@results = $sth->fetchrow_array) {
      if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
      print "<P><TR>\n";
# DLF      my (${SQLSELECT}) = "";
      ${SQLSELECT} = "";
      foreach $field_name (@$rl_names) {
        ${${field_name}} = shift @results;
# DLF        ${SQLSELECT} = ${SQLSELECT} . " " . ${field_name} . " = '${${field_name}}' AND"
        if ( ${${field_name}} eq '' ) {
          ${SQLSELECT} = ${SQLSELECT} . " ( " . ${field_name} . " IS NULL OR " . ${field_name} . " = '' ) AND"
        } else {
          ${SQLSELECT} = ${SQLSELECT} . " " . ${field_name} . " = '${${field_name}}' AND"
        }
      }
      ${SQLSELECT} = "select * from ${table_name} WHERE " . ${SQLSELECT};
      ${SQLSELECT} =~ s| AND $||g;
      ${SQLSELECT} =~ s| AND$||g;
      ${SQLSELECT} =~ s|@|\\@|g;
      print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;<INPUT Type=\"radio\" NAME=\"SQLSELECT\" VALUE=\"${SQLSELECT}\"></FONT></TD>\n";
      foreach $field_name (@$rl_names) {
        print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
      }
      print "</TR></P>\n";
    }
    print "</TABLE></P>\n";
  }
}
print "<P><CENTER>\n";
print "<INPUT Type=\"submit\" Value=\"Retrieve for Update\">\n";
print "</CENTER></P>\n";
print "</FORM>\n";
print "<P><HR></P>\n";

&linkBar;
&footer;

################################################################
sub sqlselect()
{

$|=1;
$|=2;

$dbh2 = DBI->connect() ;
$dbh3 = DBI->connect() ;
# my($sth2);
# my($sth3);
# my($sql);

################################################################
# BEGIN retrieving the record values
################################################################
    $sql = "${SQLSELECT}";
    $sql =~ s|^.*WHERE||g;
    $sql =~ s|^ *||g;
    $sql =~ s| *$||g;
    $sql =~ s|\(.+?IS NULL OR (.+?) *\)|$1|g;
    $sql =~ s|\(.+?IS NULL OR (.+?)\)|$1|g;
    $sql =~ s| *=|=|g;
    $sql =~ s|= *|=|g;
    $sql =~ s|\'||g;
    $sql =~ s|\"||g;
    $sql =~ s| AND |&|g;
    @pairs = split(/&/, $sql);
    foreach $pair (@pairs) {
        ($key, $value) = split(/=/, $pair);
        eval("\$$key = \"$value\"");
        $RECORD{$key} = $value;
# print "RECORD{${key}} = ****" . $RECORD{${key}} . "****<BR>\n";
        if ( ${RECORD{${key}}} eq '' ) {
          ${WHERECLAUSE} = ${WHERECLAUSE} . " ( " . ${key} . " IS NULL OR " . ${key} . " = '' ) AND";
        } else {
          ${WHERECLAUSE} = ${WHERECLAUSE} . " " . ${key} . " = '" . ${RECORD{${key}}} . "' AND";
        }
# print "WHERECLAUSE = " . ${WHERECLAUSE} . "<BR>\n";
    }
################################################################
# END retrieving the record values
################################################################

${TITLE1} = ${Page_Title};
${TITLE2} = "";
${TITLE3} = "Update a Record";
&titleBar;

# print "<P>${SQLSELECT}</P>\n";
print "<P><HR></P>\n";
print "<FORM Action=\"$ENV{SCRIPT_NAME}\" Method=\"${Form_Method}\"><P><CENTER>\n";
print "<INPUT Type=\"hidden\" Name=\"FORMNAME\" Value=\"${FORMNAME}\">\n";
print "<TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" Cellpadding=\"${CellPadding}\">\n";
# DLF print "<FORM><P><CENTER>\n";
# DLF print "<TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" Cellpadding=\"${CellPadding}\">\n";

@JUNK = split(/ /, ${SQLSELECT});
$TARGET_TABLE = $JUNK[3];
${SQLUPDATE} = "UPDATE ${TARGET_TABLE} set";
# $sql = "SELECT InputLines.* FROM InputLines,InputDB WHERE InputLines.FormName = '${FORMNAME}' AND InputLines.FormName = InputDB.FormName AND InputDB.TableName = '${TARGET_TABLE}' ORDER BY PositionID";

$sql = "SELECT InputLines.* FROM InputLines,InputDB WHERE InputLines.FormName = InputDB.FormName AND InputLines.InputName = InputDB.InputName AND InputLines.PositionID = InputDB.PositionID AND InputDB.FormName = '${FORMNAME}' AND InputLines.InputTypeCGI <> 'option' AND ( InputDB.TableName = 'KEY'  OR InputDB.TableName = '${TARGET_TABLE}' ) ORDER BY InputLines.PositionID";

# print "sql = " . ${sql} . "<BR>\n";
my ($sth1) = $dbh->prepare($sql);
$sth1->execute;
my(@InputLines);
my $rl_names = $sth1->{NAME};
while (@InputLines = $sth1->fetchrow_array) {

    if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
# print ${field_name} . " = " . ${${field_name}} . "<BR>\n";
    }

    $sql = "SELECT * FROM InputDB WHERE FormName = '${FORMNAME}' AND InputName = '${InputName}' AND PositionID = '${PositionID}' AND ( TableName = 'KEY' OR TableName = '${TARGET_TABLE}' )";
    &fetchInputDB;

    $sql = "SELECT InputAttributes.* FROM InputAttributes,InputDB WHERE InputAttributes.FormName = '${FORMNAME}' AND InputAttributes.FormName = InputDB.FormName AND InputAttributes.InputName = '${InputName}' AND InputAttributes.InputName = InputDB.InputName AND InputAttributes.PositionID = '${PositionID}' AND InputAttributes.PositionID = InputDB.PositionID AND ( InputDB.TableName = 'KEY' OR InputDB.TableName = '${TARGET_TABLE}' )";
    &fetchInputAttributes;

    $sth2->finish();
    $sth3->finish();

    $_ = ${SQLUPDATE};
    if ( ${TableName} ne 'KEY' ) {
      if ( ! m|${FieldName} = '\${${InputName}}',| ) {
        ${SQLUPDATE} = ${SQLUPDATE} . " " . ${FieldName} . " = '\${" . ${InputName} . "}', ";
      }
    }
# print "SQLUPDATE = " . ${SQLUPDATE} . "<BR>\n";

    print "<P>\n";
    print "  <TR>\n";
#     &positionID;
    &inputPrompt;
    if ( ( ${InputTypeCGI} eq 'radio' ) || ( ${InputTypeCGI} eq 'checkbox' ) ) {
        ${CheckboxValue} = ${RECORD{${FieldName}}};
    } else {
        ${InputValue} = ${RECORD{${FieldName}}};
    }
    &inputValue;
#     &inputHelp;
    print "  </TR>\n";
    print "</P>\n";
}

print "<P><CAPTION Align=\"top\"><STRONG><FONT Size=\"${Siz_THFont}\">\n";
print "<FONT Color=\"red\">*</FONT> - \n";
print "<FONT Color=\"${Clr_THFont}\">Indicates required input</FONT>\n";
print "</FONT></STRONG></CAPTION></P>\n";

print "</TABLE></CENTER></P>\n";

    ${SQLUPDATE} =~ s|, $||g;
    ${SQLUPDATE} =~ s|,$||g;
    ${SQLUPDATE} = ${SQLUPDATE} . " WHERE " . ${WHERECLAUSE};
    ${SQLUPDATE} =~ s|AND $||g;
    ${SQLUPDATE} =~ s|AND$||g;
#     print "<BR>\nSQLUPDATE = " . ${SQLUPDATE} . "<BR>\n";

print "<INPUT Type=\"hidden\" Name=\"SQLUPDATE\" Value=\"" . ${SQLUPDATE} . "\">\n";
print "<P><CENTER>\n";
print "<INPUT Type=\"Submit\" Value=\"Update\">\n";
print "</CENTER></P>\n";
print "</FORM>\n";
print "<P><HR></P>\n";

&linkBar;
&footer;

$dbh2->disconnect();
$dbh3->disconnect();
exit;

}


################################################################
sub sqlupdate()
{

# print "SQLUPDATE = " . ${SQLUPDATE} . "<BR>\n";
$sth = $dbh->prepare(${SQLUPDATE});
if ($DBI::err) { print STDOUT $DBI::errstr,"<BR>\n"; return }
$sth->execute;
if ($DBI::err) { print STDOUT $DBI::errstr,"<BR>\n"; return }

print "<P><H2>Record updated using the following SQL Statement:</H2></P><P>" . ${SQLUPDATE} . "</P>\n";

    $sth->finish();
#     $dbh->disconnect();
#     exit;

}
