#!/usr/bin/perl
################################################################
# Program:	associateinfo.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
print "Working on ${LineName}\n";
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'AssociateInfo'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'AssociateInfo', 'Associate Information', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', '', '', 'POST' )");

################################################################
#  Input lines for form AssociateInfo
################################################################

# Already Exists
# ${LineName} = 'netplexid';
# ${InputName} = 'NETPLEXID';
# ${InputPrompt} = 'Netplex ID';
# ${InputTypeCGI} = 'text';
# ${InputValue} = '';
# ${InputHelp} = 'Enter the Netplex ID of this Associate';
# ${TableName} = 'KEY';
# ${FieldName} = 'NetplexID';
# ${InputTypeSQL} = 'varchar(8)';
# ${Height} = '8';
# ${Width} = '8';
# ${Selected} = '0';
# ${Multiple} = '0';
# ${Required} = '1';
# &mkrecord;

${LineName} = 'associatenumber';
${InputName} = 'ASSOCIATENUMBER';
${InputPrompt} = 'Associate Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the AIG Associate Number';
${TableName} = 'KEY';
${FieldName} = 'AssociateNumber';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'lastname';
${InputName} = 'LASTNAME';
${InputPrompt} = 'Last Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Associates last name';
${TableName} = 'T_Associates';
${FieldName} = 'LastName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'firstname';
${InputName} = 'FIRSTNAME';
${InputPrompt} = 'First Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the associates first name';
${TableName} = 'T_Associates';
${FieldName} = 'FirstName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '30';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'employeelocation';
${InputName} = 'EMPLOYEELOCATION';
${InputPrompt} = 'Employee Location';
${InputTypeCGI} = 'select';
${InputValue} = 'benson';
${InputHelp} = 'Enter the Location where this employee works';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'emploc01';
${InputName} = 'EMPLOYEELOCATION';
${InputPrompt} = 'Benson Road';
${InputTypeCGI} = 'option';
${InputValue} = 'benson';
${InputHelp} = '';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'emploc02';
${InputName} = 'EMPLOYEELOCATION';
${InputPrompt} = 'Broadway';
${InputTypeCGI} = 'option';
${InputValue} = 'broadway';
${InputHelp} = '';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'emploc03';
${InputName} = 'EMPLOYEELOCATION';
${InputPrompt} = 'Other';
${InputTypeCGI} = 'option';
${InputValue} = 'other';
${InputHelp} = '';
${TableName} = 'T_Location';
${FieldName} = 'EmployeeLocation';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'room';
${InputName} = 'ROOM';
${InputPrompt} = 'Room';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the room number where this employee works';
${TableName} = 'T_Location';
${FieldName} = 'Room';
${InputTypeSQL} = 'smallint';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'extension';
${InputName} = 'EXTENSION';
${InputPrompt} = 'Extension';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the telephone extension number of this employee';
${TableName} = 'T_Location';
${FieldName} = 'Extension';
${InputTypeSQL} = 'smallint';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'homephone';
${InputName} = 'HOMEPHONE';
${InputPrompt} = 'Home Phone';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the home telephone number of this employee';
${TableName} = 'T_Location';
${FieldName} = 'HomePhone';
${InputTypeSQL} = 'varchar(255)';
${Height} = '16';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'emailusername';
${InputName} = 'EMAILUSERNAME';
${InputPrompt} = 'Email User Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Email user name of this employee';
${TableName} = 'T_Email';
${FieldName} = 'EmailUsername';
${InputTypeSQL} = 'varchar(255)';
${Height} = '32';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'machinename';
${InputName} = 'MACHINENAME';
${InputPrompt} = 'Users Machine Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the computer name of this employee';
${TableName} = 'T_Email';
${FieldName} = 'MachineName';
${InputTypeSQL} = 'varchar(255)';
${Height} = '32';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'domain';
${InputName} = 'DOMAIN';
${InputPrompt} = 'Domain Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the TCP/IP Domain Name of this employees Email address';
${TableName} = 'T_Email';
${FieldName} = 'Domain';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'cellnumber';
${InputName} = 'CELLNUMBER';
${InputPrompt} = 'Cell Phone Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the cell phone number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'CellNumber';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'pagernumber';
${InputName} = 'PAGERNUMBER';
${InputPrompt} = 'Pager Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the pager phone number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerNumber';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'pagerpromptwait';
${InputName} = 'PAGERPROMPTWAIT';
${InputPrompt} = 'Pager Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '22';
${InputHelp} = 'Enter the number of seconds to wait for voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerPromptWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'pagerpin';
${InputName} = 'PAGERPIN';
${InputPrompt} = 'Pager PIN Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Pager PIN number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerPin';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'pagerpinwait';
${InputName} = 'PAGERPINWAIT';
${InputPrompt} = 'Pager PIN Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '2';
${InputHelp} = 'Enter the number of seconds to wait for PIN number voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'PagerPinWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'ispageran';
${InputName} = 'ISPAGERAN';
${InputPrompt} = 'Is this an Alphanumeric Pager';
${InputTypeCGI} = 'select';
${InputValue} = 'N';
${InputHelp} = 'Enter a Y or N to indicate whether or not this is an alphanumeric pager';
${TableName} = 'T_Mobile';
${FieldName} = 'IsPagerAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'ispageranno';
${InputName} = 'ISPAGERAN';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsPagerAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'ispageranyes';
${InputName} = 'ISPAGERAN';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsPagerAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'provnumber';
${InputName} = 'PROVNUMBER';
${InputPrompt} = 'Provider Pager Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Provider pager phone number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProvNumber';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'provpromptwait';
${InputName} = 'PROVPROMPTWAIT';
${InputPrompt} = 'Provider Pager Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '22';
${InputHelp} = 'Enter the number of seconds to wait for voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProvPromptWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'provpin';
${InputName} = 'PROVPIN';
${InputPrompt} = 'Provider Pager PIN Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Provider Pager PIN number of this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProvPin';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'provpinwait';
${InputName} = 'PROVPINWAIT';
${InputPrompt} = 'Provider Pager PIN Prompt Wait';
${InputTypeCGI} = 'text';
${InputValue} = '2';
${InputHelp} = 'Enter the number of seconds to wait for PIN number voice prompt when paging this employee';
${TableName} = 'T_Mobile';
${FieldName} = 'ProvPinWait';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'isprovan';
${InputName} = 'ISPROVAN';
${InputPrompt} = 'Is this an Alphanumeric Pager';
${InputTypeCGI} = 'select';
${InputValue} = 'N';
${InputHelp} = 'Enter a Y or N to indicate whether or not this is an alphanumeric pager';
${TableName} = 'T_Mobile';
${FieldName} = 'IsProvAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'isprovanno';
${InputName} = 'ISPROVAN';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsProvAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'isprovanyes';
${InputName} = 'ISPROVAN';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'T_Mobile';
${FieldName} = 'IsProvAN';
${InputTypeSQL} = 'char';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'alphanumericurl';
${InputName} = 'ALPHANUMERICURL';
${InputPrompt} = 'AlphaNumeric URL';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the URL for sending Alphanumeric message to this pager';
${TableName} = 'T_Mobile';
${FieldName} = 'AlphaNumericURL';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

################################################################
#  Associate input lines with a form
################################################################

${FormName} = 'AssociateInfo';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'netplexid';
${PositionID} = '1';
&mkformline;

${LineName} = 'associatenumber';
${PositionID} = '2';
&mkformline;

${LineName} = 'lastname';
${PositionID} = '3';
&mkformline;

${LineName} = 'firstname';
${PositionID} = '4';
&mkformline;

${LineName} = 'employeelocation';
${PositionID} = '5';
&mkformline;

${LineName} = 'emploc01';
${PositionID} = '501';
&mkformline;

${LineName} = 'emploc02';
${PositionID} = '502';
&mkformline;

${LineName} = 'emploc03';
${PositionID} = '503';
&mkformline;

${LineName} = 'room';
${PositionID} = '6';
&mkformline;

${LineName} = 'extension';
${PositionID} = '7';
&mkformline;

${LineName} = 'homephone';
${PositionID} = '8';
&mkformline;

${LineName} = 'emailusername';
${PositionID} = '9';
&mkformline;

${LineName} = 'machinename';
${PositionID} = '10';
&mkformline;

${LineName} = 'domain';
${PositionID} = '11';
&mkformline;

${LineName} = 'cellnumber';
${PositionID} = '12';
&mkformline;

${LineName} = 'pagernumber';
${PositionID} = '13';
&mkformline;

${LineName} = 'pagerpromptwait';
${PositionID} = '14';
&mkformline;

${LineName} = 'pagerpin';
${PositionID} = '15';
&mkformline;

${LineName} = 'pagerpinwait';
${PositionID} = '16';
&mkformline;

${LineName} = 'ispageran';
${PositionID} = '17';
&mkformline;

${LineName} = 'ispageranno';
${PositionID} = '1701';
&mkformline;

${LineName} = 'ispageranyes';
${PositionID} = '1702';
&mkformline;

${LineName} = 'provnumber';
${PositionID} = '18';
&mkformline;

${LineName} = 'provpromptwait';
${PositionID} = '19';
&mkformline;

${LineName} = 'provpin';
${PositionID} = '20';
&mkformline;

${LineName} = 'provpinwait';
${PositionID} = '21';
&mkformline;

${LineName} = 'isprovan';
${PositionID} = '22';
&mkformline;

${LineName} = 'isprovanno';
${PositionID} = '2201';
&mkformline;

${LineName} = 'isprovanyes';
${PositionID} = '2202';
&mkformline;

${LineName} = 'alphanumericurl';
${PositionID} = '23';
&mkformline;

$dbh->disconnect();


