#!/usr/bin/perl
################################################################
# Program:	kmprojects.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  print "Working on ${LineName}\n";
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'KMProjects'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'KMProjects', 'KM Projects Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', '', '', 'POST' )");

################################################################
#  Input lines for form KMProjects
################################################################

${LineName} = 'projectid';
${InputName} = 'PROJECTID';
${InputPrompt} = 'Project ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex Project ID';
${TableName} = 'KEY';
${FieldName} = 'ProjectID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'corecomp';
${InputName} = 'CORECOMP';
${InputPrompt} = 'Core Competency Addressed';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'What core Netplex Group competency does this project address';
${TableName} = 'KMProjects';
${FieldName} = 'CoreComp';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'custname';
${InputName} = 'CUSTNAME';
${InputPrompt} = 'Customer Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Name of the Customer';
${TableName} = 'KMProjects';
${FieldName} = 'CustName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'projspon';
${InputName} = 'PROJSPON';
${InputPrompt} = 'Project Sponsor';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name of the project sponsor from the customer';
${TableName} = 'KMProjects';
${FieldName} = 'ProjSpon';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'projspontitle';
${InputName} = 'PROJSPONTITLE';
${InputPrompt} = 'Title of Project Sponsor';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the title of the project sponsor from the customer';
${TableName} = 'KMProjects';
${FieldName} = 'ProjSponTitle';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'bizsegment';
${InputName} = 'BIZSEGMENT';
${InputPrompt} = 'Business Segment';
${InputTypeCGI} = 'select';
${InputValue} = 'retail';
${InputHelp} = 'Enter the Business Segment in which this customer operates';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'bizsegment1';
${InputName} = 'BIZSEGMENT';
${InputPrompt} = 'Retail';
${InputTypeCGI} = 'option';
${InputValue} = 'retail';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'bizsegment2';
${InputName} = 'BIZSEGMENT';
${InputPrompt} = 'Government';
${InputTypeCGI} = 'option';
${InputValue} = 'government';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'bizsegment3';
${InputName} = 'BIZSEGMENT';
${InputPrompt} = 'Telecommunications';
${InputTypeCGI} = 'option';
${InputValue} = 'telecomm';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'bizsegment4';
${InputName} = 'BIZSEGMENT';
${InputPrompt} = 'Health Care';
${InputTypeCGI} = 'option';
${InputValue} = 'healthcare';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'BizSegment';
${InputTypeSQL} = 'varchar(25)';
${Height} = '25';
${Width} = '25';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'indsegment';
${InputName} = 'INDSEGMENT';
${InputPrompt} = 'Industry Segment';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Industry Segment in which this customer operates';
${TableName} = 'KMProjects';
${FieldName} = 'IndSegment';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'projname';
${InputName} = 'PROJNAME';
${InputPrompt} = 'Name and Type of Project';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the name and type of project';
${TableName} = 'KMProjects';
${FieldName} = 'ProjName';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'bizproblem';
${InputName} = 'BIZPROBLEM';
${InputPrompt} = 'Description of Business Problem';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Enter a Description of the customers business problem and technical issues';
${TableName} = 'KMProjects';
${FieldName} = 'BizProblem';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'ntplsolution';
${InputName} = 'NTPLSOLUTION';
${InputPrompt} = 'Netplex Approach and Solution';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Enter a Description of Netplexs approach and solution to the customers business problem and technical issues';
${TableName} = 'KMProjects';
${FieldName} = 'NtplSolution';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'projlen';
${InputName} = 'PROJLEN';
${InputPrompt} = 'Length of Project';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Length of the project';
${TableName} = 'KMProjects';
${FieldName} = 'ProjLen';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'compdate';
${InputName} = 'COMPDATE';
${InputPrompt} = 'Date Project Completed';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the date the project was completed';
${TableName} = 'KMProjects';
${FieldName} = 'CompDate';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'projvalue';
${InputName} = 'PROJVALUE';
${InputPrompt} = 'Value of the Project';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the US Dollar value of the project';
${TableName} = 'KMProjects';
${FieldName} = 'ProjValue';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'technology';
${InputName} = 'TECHNOLOGY';
${InputPrompt} = 'Technology Implemented';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Enter a description of the technology implemented during the project';
${TableName} = 'KMProjects';
${FieldName} = 'Technology';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'hwswused';
${InputName} = 'HWSWUSED';
${InputPrompt} = 'Hardware and Software';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a list of hardware and software used during the project';
${TableName} = 'KMProjects';
${FieldName} = 'HwSwUsed';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'appdev';
${InputName} = 'APPDEV';
${InputPrompt} = 'App Dev Environment';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a description of the application development environment and packages used';
${TableName} = 'KMProjects';
${FieldName} = 'AppDev';
${InputTypeSQL} = 'varchar(255)';
${Height} = '48';
${Width} = '255';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'percenthw';
${InputName} = 'PERCENTHW';
${InputPrompt} = 'Percentage Hardware';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the percentage of the project which was hardware';
${TableName} = 'KMProjects';
${FieldName} = 'PercentHw';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'percentsw';
${InputName} = 'PERCENTSW';
${InputPrompt} = 'Percent Software';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the percentage of the project which was software';
${TableName} = 'KMProjects';
${FieldName} = 'PercentSw';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'pecentserv';
${InputName} = 'PECENTSERV';
${InputPrompt} = 'Percent Services';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the percentage of the project which was services';
${TableName} = 'KMProjects';
${FieldName} = 'PercentServ';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'ntplrole';
${InputName} = 'NTPLROLE';
${InputPrompt} = 'Netplexs Role';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'What role did netplex play in the total project';
${TableName} = 'KMProjects';
${FieldName} = 'NtplRole';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'referencable';
${InputName} = 'REFERENCABLE';
${InputPrompt} = 'Referencable';
${InputTypeCGI} = 'select';
${InputValue} = '1';
${InputHelp} = 'Is the Account Referencable';
${TableName} = 'KMProjects';
${FieldName} = 'Referencable';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'referencable1';
${InputName} = 'REFERENCABLE';
${InputPrompt} = 'Yes';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'Referencable';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '1';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'referencable0';
${InputName} = 'REFERENCABLE';
${InputPrompt} = 'No';
${InputTypeCGI} = 'option';
${InputValue} = '0';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'Referencable';
${InputTypeSQL} = 'int';
${Height} = '4';
${Width} = '4';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clientsat';
${InputName} = 'CLIENTSAT';
${InputPrompt} = 'Client Satisfaction';
${InputTypeCGI} = 'select';
${InputValue} = '5';
${InputHelp} = 'What is the level of client Satisfaction';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clientsat5';
${InputName} = 'CLIENTSAT';
${InputPrompt} = 'High';
${InputTypeCGI} = 'option';
${InputValue} = '5';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clientsat4';
${InputName} = 'CLIENTSAT';
${InputPrompt} = 'Above Average';
${InputTypeCGI} = 'option';
${InputValue} = '4';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clientsat3';
${InputName} = 'CLIENTSAT';
${InputPrompt} = 'Moderate';
${InputTypeCGI} = 'option';
${InputValue} = '3';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clientsat2';
${InputName} = 'CLIENTSAT';
${InputPrompt} = 'Below Average';
${InputTypeCGI} = 'option';
${InputValue} = '2';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'clientsat1';
${InputName} = 'CLIENTSAT';
${InputPrompt} = 'Low';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMProjects';
${FieldName} = 'ClientSat';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'followup';
${InputName} = 'FOLLOWUP';
${InputPrompt} = 'Follow up Work';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'List the follow-up work Netplex has done';
${TableName} = 'KMProjects';
${FieldName} = 'FollowUp';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'allowuseco';
${InputName} = 'ALLOWUSECO';
${InputPrompt} = 'Use Customer Name';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer will allow use of Company Name';
${TableName} = 'KMProjects';
${FieldName} = 'AllowUseCo';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'allowuseem';
${InputName} = 'ALLOWUSEEM';
${InputPrompt} = 'Use Customer Employee Name';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer will allow Netplex to use one of their employees as a reference';
${TableName} = 'KMProjects';
${FieldName} = 'AllowUseEm';
${InputTypeSQL} = 'int';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'testimonial';
${InputName} = 'TESTIMONIAL';
${InputPrompt} = 'Customer Testimonial';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer is willing to provide testimonial as a reference';
${TableName} = 'KMProjects';
${FieldName} = 'Testimonial';
${InputTypeSQL} = 'int';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'successstory';
${InputName} = 'SUCCESSSTORY';
${InputPrompt} = 'Success Story Participation';
${InputTypeCGI} = 'checkbox';
${InputValue} = '1';
${InputHelp} = 'Customer is willing to participate in success story';
${TableName} = 'KMProjects';
${FieldName} = 'SuccessStory';
${InputTypeSQL} = 'int';
${Height} = '1';
${Width} = '1';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

################################################################
#  Associate the input lines with the KMProjects form
################################################################

${FormName} = 'KMProjects';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'projectid';
${PositionID} = '1';
&mkformline;

${LineName} = 'corecomp';
${PositionID} = '2';
&mkformline;

${LineName} = 'custname';
${PositionID} = '3';
&mkformline;

${LineName} = 'projspon';
${PositionID} = '4';
&mkformline;

${LineName} = 'projspontitle';
${PositionID} = '5';
&mkformline;

${LineName} = 'bizsegment';
${PositionID} = '6';
&mkformline;

${LineName} = 'bizsegment1';
${PositionID} = '601';
&mkformline;

${LineName} = 'bizsegment2';
${PositionID} = '602';
&mkformline;

${LineName} = 'bizsegment3';
${PositionID} = '603';
&mkformline;

${LineName} = 'bizsegment4';
${PositionID} = '604';
&mkformline;

${LineName} = 'indsegment';
${PositionID} = '7';
&mkformline;

${LineName} = 'projname';
${PositionID} = '8';
&mkformline;

${LineName} = 'bizproblem';
${PositionID} = '9';
&mkformline;

${LineName} = 'ntplsolution';
${PositionID} = '10';
&mkformline;

${LineName} = 'projlen';
${PositionID} = '11';
&mkformline;

${LineName} = 'compdate';
${PositionID} = '12';
&mkformline;

${LineName} = 'projvalue';
${PositionID} = '13';
&mkformline;

${LineName} = 'technology';
${PositionID} = '14';
&mkformline;

${LineName} = 'hwswused';
${PositionID} = '15';
&mkformline;

${LineName} = 'appdev';
${PositionID} = '16';
&mkformline;

${LineName} = 'percenthw';
${PositionID} = '17';
&mkformline;

${LineName} = 'percentsw';
${PositionID} = '18';
&mkformline;

${LineName} = 'pecentserv';
${PositionID} = '19';
&mkformline;

${LineName} = 'ntplrole';
${PositionID} = '20';
&mkformline;

${LineName} = 'referencable';
${PositionID} = '21';
&mkformline;

${LineName} = 'referencable1';
${PositionID} = '2101';
&mkformline;

${LineName} = 'referencable0';
${PositionID} = '2102';
&mkformline;

${LineName} = 'clientsat';
${PositionID} = '22';
&mkformline;

${LineName} = 'clientsat5';
${PositionID} = '2205';
&mkformline;

${LineName} = 'clientsat4';
${PositionID} = '2204';
&mkformline;

${LineName} = 'clientsat3';
${PositionID} = '2203';
&mkformline;

${LineName} = 'clientsat2';
${PositionID} = '2202';
&mkformline;

${LineName} = 'clientsat1';
${PositionID} = '2201';
&mkformline;

${LineName} = 'followup';
${PositionID} = '23';
&mkformline;

${LineName} = 'allowuseco';
${PositionID} = '24';
&mkformline;

${LineName} = 'allowuseem';
${PositionID} = '25';
&mkformline;

${LineName} = 'testimonial';
${PositionID} = '26';
&mkformline;

${LineName} = 'successstory';
${PositionID} = '27';
&mkformline;

$dbh->disconnect();

