#!/usr/bin/perl
################################################################
# Program:	report02.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Allows user to search records in database
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

if ( ${FORMNAME} eq '' ) {
    ${text_string} = "to Search records with form";
    &formNameNull;
}

################################################################
# Parse through the CGI vars again and extract the tables, fields and values
################################################################
my ($TABLES) = '';
my ($SELECT) = '';
my ($fields) = '';
my ($FIELDS);
my ($VALUES);
foreach $pair (@pairs) {
    ($key, $value) = split(/=/, $pair);
    ${_} = ${key};
    next if m|(.+?)_TABLENAME$|;
    next if m|(.+?)_FIELDNAME$|;
#     next if m|^FORMNAME$|;

#     $value =~ tr/+/ /;
#     $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
#     $value =~ tr/\cM/\n/;
# #     print "$key = $value<BR>\n";
#     eval("\$$key = \"$value\"");
#     $FORM{$key} = $value;

    eval("\${TABLEID} = \"\${${key}_TABLENAME}\"");
    eval("\${FIELDID} = \"\${${key}_FIELDNAME}\"");
#     $fields->{${TABLEID}}->{${FIELDID}} = ${value};
    $fields->{${TABLEID}}->{${FIELDID}} = ${${key}};
#     print "fields->{${TABLEID}}{${FIELDID}} = ", $fields->{${TABLEID}}{${FIELDID}}, "<BR>\n";
}

################################################################
# Build variable with field names and field values
################################################################
# if ( $fields ne '' ) {
${SQLWHERE} = '';
foreach $subkey1 (keys %$fields) {
    if ( $subkey1 ne 'KEY' && $subkey1 ne '' ) {
      ${SQLTABLES} = ${SQLTABLES} . ${subkey1} . ",";
      ${TMPTABLE} = ${subkey1};
    }
    $keyref = $fields->{${subkey1}};
    foreach $subkey2 (keys %$keyref) {
#         $SQLFIELDS{${subkey1}} = $SQLFIELDS{${subkey1}} . ${subkey2} . ", ";
#         $SQLVALUES{${subkey1}} = $SQLVALUES{${subkey1}} . "'" . $fields->{${subkey1}}{${subkey2}} . "', ";
        ${SQLFIELDS} = ${SQLFIELDS} . ${subkey1} . "." . ${subkey2} . ",";
        ${SQLVALUES} = ${SQLVALUES} . "'" . $fields->{${subkey1}}{${subkey2}} . "',";
        if ( $fields->{${subkey1}}{${subkey2}} ne '') {
          if ( $subkey1 ne '' ) {
            ${SQLWHERE} = ${SQLWHERE} . " " . ${subkey1} . "." . ${subkey2} . " LIKE '%" . $fields->{${subkey1}}{${subkey2}} . "%' AND";
          }
# print "subkey1 = ${subkey1}<BR>\n";
# print "subkey2 = ${subkey2}<BR>\n";
# print "sqlwhere = ${SQLWHERE}<BR>\n";
        }
    }
}

${SQLTABLES} =~ s|^,||g;
${SQLTABLES} =~ s|,$||g;
${SQLFIELDS} =~ s|^,||g;
${SQLFIELDS} =~ s|,$||g;
${SQLFIELDS} =~ s|KEY\.|${TMPTABLE}.|g;
${SQLFIELDS} =~ s|^\.,||g;
${SQLWHERE} =~ s| AND$||g;
${SQLWHERE} =~ s|KEY\.|${TMPTABLE}.|g;

$sql_statement = "SELECT ${SQLFIELDS} FROM ${SQLTABLES} WHERE ${SQLWHERE}";

print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";

      $sth = $dbh->prepare($sql_statement);
      $sth->execute;
      if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
      my $rl_names = $sth->{NAME};

      print "<P><HR></P>\n";

      print "<P><TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" CellPadding=\"${CellPadding}\">\n";

      print "<P><TR>\n";
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">Customer</FONT></TH>\n";
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">Technology</FONT></TH>\n";
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">AppDev</FONT></TH>\n";
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">FirstName</FONT></TH>\n";
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">LastName</FONT></TH>\n";
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">SkillClass</FONT></TH>\n";

      print "</TR></P>\n";

      while (@projres = $sth->fetchrow_array) {
        if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
        print "<P><TR>\n";
        foreach $field_name (@$rl_names) {
          ${${field_name}} = shift @projres;
        }

        ${sql_statement} = "SELECT Distinct NetplexID FROM KMProjSkill2 WHERE ProjectID = '${ProjectID}'";
        $sth0 = $dbh->prepare($sql_statement);
        $sth0->execute;
        if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
        my $netid_name = $sth0->{NAME};
        while (@netidres = $sth0->fetchrow_array) {
          if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
          foreach $field_name (@$netid_name) {
            ${${field_name}} = shift @netidres;
#             print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
          }

          ${sql_statement} = "SELECT CustName,Technology,AppDev FROM KMProjects WHERE ProjectID = '${ProjectID}'";
          $sth1 = $dbh->prepare($sql_statement);
          $sth1->execute;
          if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
          my $emp_name = $sth1->{NAME};
          while (@results = $sth1->fetchrow_array) {
            if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
            foreach $field_name (@$emp_name) {
              ${${field_name}} = shift @results;
              print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
            }
          }

          ${sql_statement} = "SELECT FirstName,LastName FROM T_Associates WHERE NetplexID = '${NetplexID}'";
          $sth1 = $dbh->prepare($sql_statement);
          $sth1->execute;
          if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
          my $emp_name = $sth1->{NAME};
          while (@results = $sth1->fetchrow_array) {
            if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
            foreach $field_name (@$emp_name) {
              ${${field_name}} = shift @results;
              print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
            }
          }

          ${sql_statement} = "SELECT SkillClass FROM KMProjSkill2 WHERE ProjectID = '${ProjectID}' AND NetplexID = '${NetplexID}'";
          $sth1 = $dbh->prepare($sql_statement);
          $sth1->execute;
          if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
          my $skill_name = $sth1->{NAME};
          while (@skillres = $sth1->fetchrow_array) {
            if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
            foreach $field_name (@$skill_name) {
              ${${field_name}} = shift @skillres;
#               print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
            }
          }

          ${sql_statement} = "SELECT SkillDesc FROM SkillList2 WHERE SkillClass = '${SkillClass}' AND SkillID = '0'";
          $sth1 = $dbh->prepare($sql_statement);
          $sth1->execute;
          if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
          my $emp_name = $sth1->{NAME};
          while (@results = $sth1->fetchrow_array) {
            if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
            foreach $field_name (@$emp_name) {
              ${${field_name}} = shift @results;
              print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
            }
          }

        }

        print "</TR></P>\n";
      }
      print "</TABLE></P>\n";

print "<P><HR></P>\n";

&linkBar;
&footer;

$dbh->disconnect();
