#!/usr/bin/perl
################################################################
# Program:	scenario2.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
print "Working on ${LineName}\n";
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'Scenario02'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'Scenario02', 'Scenario 02', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', '', 'report02.pl', 'POST' )");

################################################################
#  Create non-key input fields for kmprojects
################################################################

${LineName} = 'nokeyprojid';
${InputName} = 'PROJECTID';
${InputPrompt} = 'Project ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex Project ID';
${TableName} = 'KMProjects';
${FieldName} = 'ProjectID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

################################################################
#  Associate input lines with a form
################################################################

${FormName} = 'Scenario02';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'nokeyprojid';
${PositionID} = '1';
&mkformline;

${LineName} = 'bizsegment';
${PositionID} = '2';
&mkformline;

${LineName} = 'bizsegment1';
${PositionID} = '201';
&mkformline;

${LineName} = 'bizsegment2';
${PositionID} = '202';
&mkformline;

${LineName} = 'bizsegment3';
${PositionID} = '203';
&mkformline;

${LineName} = 'bizsegment4';
${PositionID} = '204';
&mkformline;

${LineName} = 'projname';
${PositionID} = '3';
&mkformline;

${LineName} = 'technology';
${PositionID} = '4';
&mkformline;

${LineName} = 'hwswused';
${PositionID} = '5';
&mkformline;

${LineName} = 'appdev';
${PositionID} = '6';
&mkformline;

$dbh->disconnect();


