#!/usr/bin/perl
################################################################
# Program:	scenario4.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
print "Working on ${LineName}\n";
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'Scenario04'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'Scenario04', 'Scenario 04', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'kmskills_pretable.pl', '', 'report04.pl', 'POST' )");

################################################################
#  Create non-key input fields for skills
################################################################

${LineName} = 'skilltypenokey';
${InputName} = 'SKILLTYPE';
${InputPrompt} = 'Skill Type';
${InputTypeCGI} = 'hidden';
${InputValue} = '';
${InputHelp} = 'Enter a skill type ID number';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillType';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillclassnokey';
${InputName} = 'SKILLCLASS';
${InputPrompt} = 'Skill Classification';
${InputTypeCGI} = 'hidden';
${InputValue} = '';
${InputHelp} = 'Enter a skill classification ID number';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillClass';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillidnokey';
${InputName} = 'SKILLID';
${InputPrompt} = 'Skill ID';
${InputTypeCGI} = 'hidden';
${InputValue} = '';
${InputHelp} = 'Enter a skill ID number';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillID';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

################################################################
#  Associate input lines with a form
################################################################

${FormName} = 'Scenario04';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'netplexid';
${PositionID} = '1';
&mkformline;

${LineName} = 'skilltypenokey';
${PositionID} = '2';
&mkformline;

${LineName} = 'skillclassnokey';
${PositionID} = '3';
&mkformline;

${LineName} = 'skillidnokey';
${PositionID} = '4';
&mkformline;

${LineName} = 'skilldesc';
${PositionID} = '5';
&mkformline;

${LineName} = 'certification';
${PositionID} = '6';
&mkformline;

${LineName} = 'employeelocation';
${PositionID} = '7';
&mkformline;

${LineName} = 'emploc01';
${PositionID} = '701';
&mkformline;

${LineName} = 'emploc02';
${PositionID} = '702';
&mkformline;

${LineName} = 'emploc03';
${PositionID} = '703';
&mkformline;

$dbh->disconnect();


