#!/usr/bin/perl
################################################################
# Program:	skills.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'Skills'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'Skills', 'KM Skills Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'kmskills_pretable.pl', '', '', 'POST' )");

################################################################
#  Input lines for form Skills
################################################################

${LineName} = 'listskilldesc';
${InputName} = 'SKILLDESC';
${InputPrompt} = 'Skill Description';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a description of this skill';
${TableName} = 'SkillList2';
${FieldName} = 'SkillDesc';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

################################################################
#  Associate input lines with a form
################################################################

${FormName} = 'Skills';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'skilltype';
${PositionID} = '1';
&mkformline;

${LineName} = 'skillclass';
${PositionID} = '2';
&mkformline;

${LineName} = 'skillid';
${PositionID} = '3';
&mkformline;

${LineName} = 'listskilldesc';
${PositionID} = '4';
&mkformline;

$dbh->disconnect();
