#!/bin/ksh
################################################################

rm -f /tmp/DBIforms.tar
rm -f /tmp/DBIforms.tar.Z
rm -f /tmp/DBIforms.tar.gz

cd /home/httpd/cgi-bin
tar -cvf /tmp/DBIforms.tar \
./DBIforms/readme.txt \
./DBIforms/manual.txt \
./DBIforms/DS_DBIforms.pl \
./DBIforms/select.pl \
./DBIforms/insert.pl \
./DBIforms/update.pl \
./DBIforms/delete.pl \
./DBIforms/SUB_DBIforms.pl \
./DBIforms/mktables.pl \
./DBIforms/mkinputlines.pl \
./DBIforms/mkinputpages.pl \
./DBIforms/associateinfo.pl

cd /tmp
print "compressing DBIforms.tar"
compress DBIforms.tar
ls -l /tmp/DBIforms.tar.Z
print ""

################################################################

cd /home/httpd/cgi-bin
tar -cvf /tmp/DBIforms.tar \
./DBIforms/readme.txt \
./DBIforms/manual.txt \
./DBIforms/DS_DBIforms.pl \
./DBIforms/select.pl \
./DBIforms/insert.pl \
./DBIforms/update.pl \
./DBIforms/delete.pl \
./DBIforms/SUB_DBIforms.pl \
./DBIforms/mktables.pl \
./DBIforms/mkinputlines.pl \
./DBIforms/mkinputpages.pl \
./DBIforms/associateinfo.pl

cd /tmp
print "gzipping DBIforms.tar"
gzip DBIforms.tar
ls -l /tmp/DBIforms.tar.gz
print ""


