#!/usr/bin/perl
################################################################
# Program:	mkinputpages.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates MKPAGE and MKLINE forms
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

my ($sth);
my ($sth2);
my ($sth3);
my ($sql);

my $dbh = DBI->connect() ;

$sql = 'drop table InputPage';
$sth = $dbh->do($sql);

$sql = 'create table InputPage ( FormName varchar(16), Page_Title varchar(64), Contact_Name varchar(64), Contact_Email varchar(255), Clr_PageBg varchar(16), Clr_Link varchar(16), Clr_Alink varchar(16), Clr_Vlink varchar(16), Clr_TDBg varchar(16), Clr_THBg varchar(16), Clr_BaseFont varchar(16), Clr_THFont varchar(16), Clr_TDFont varchar(16), Siz_BaseFont integer, Siz_THFont integer, Siz_TDFont integer, CellSpacing integer, CellPadding integer, Form_Action varchar(255), Form_Method varchar(8) )';
$sth = $dbh->do($sql);

$sth = $dbh->do("delete from InputPage WHERE FormName = 'DEFAULT'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'DEFAULT', '', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '10', '', 'POST' )");

$sth = $dbh->do("delete from InputPage WHERE FormName = 'MKPAGE'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'MKPAGE', 'Create an Input Form', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '10', '', 'POST' )");

$sth = $dbh->do("delete from InputPage WHERE FormName = 'MKLINE'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'MKLINE', 'Create a Data Entry Line', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '10', '', 'POST' )");

$sth = $dbh->do("delete from InputPage WHERE FormName = 'AssociateInfo'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'AssociateInfo', '', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '10', '', 'POST' )");

$dbh->disconnect();
