#!/usr/bin/perl
################################################################
# Program:	periodicals.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage WHERE FormName = 'Periodicals'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'Periodicals', 'Periodicals Information', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', 'POST' )");

################################################################
#  Input lines for form Periodicals
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'Periodicals'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'Periodicals'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'Periodicals'");

# ${FormName} = 'Periodicals';
# ${InputName} = 'IDENTITY';
# ${PositionID} = '1';
# ${InputPrompt} = 'Periodical ID';
# ${InputTypeCGI} = 'text';
# ${InputValue} = '';
# ${InputHelp} = 'Enter the ID number of this periodical';
# ${TableName} = 'KEY';
# ${FieldName} = 'PeriodicalID';
# ${InputTypeSQL} = 'int';
# ${Height} = '8';
# ${Width} = '8';
# ${Selected} = '0';
# ${Multiple} = '0';
# ${Required} = '1';
# &mkrecord;

${FormName} = 'Periodicals';
${InputName} = 'PERIODICALNAME';
${PositionID} = '2';
${InputPrompt} = 'Periodical Name';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Name of this Periodical';
${TableName} = 'Periodicals';
${FieldName} = 'PeriodicalName';
${InputTypeSQL} = 'varchar(50)';
${Height} = '32';
${Width} = '50';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'Periodicals';
${InputName} = 'PERIODICALURL';
${PositionID} = '3';
${InputPrompt} = 'Periodical URL';
${InputTypeCGI} = 'text';
${InputValue} = 'http://';
${InputHelp} = 'Enter the URL associated with this periodical';
${TableName} = 'Periodicals';
${FieldName} = 'PeriodicalURL';
${InputTypeSQL} = 'varchar(75)';
${Height} = '32';
${Width} = '75';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'Periodicals';
${InputName} = 'FREQUENCY';
${PositionID} = '4';
${InputPrompt} = 'Frequency';
${InputTypeCGI} = 'text';
${InputValue} = '12';
${InputHelp} = 'Enter the number of times per year this periodical is published';
${TableName} = 'Periodicals';
${FieldName} = 'Frequency';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${FormName} = 'Periodicals';
${InputName} = 'NUMBEROFCOPIES';
${PositionID} = '5';
${InputPrompt} = 'Copies Received';
${InputTypeCGI} = 'text';
${InputValue} = '1';
${InputHelp} = 'Enter the number of copies of this periodical that we currently receive';
${TableName} = 'Periodicals';
${FieldName} = 'NumberOfCopies';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

$dbh->disconnect();
