#!/usr/bin/perl
################################################################
# Program:	skills.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("insert into InputLines ( FormName, InputName, PositionID, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB ( FormName, InputName, PositionID, TableName, FieldName, InputTypeSQL ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes ( FormName, InputName, PositionID, Height, Width, Selected, Multiple, Required ) VALUES ( '${FormName}', '${InputName}', '${PositionID}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

# my ($sth);
# my ($sth2);
# my ($sth3);
# my ($sql);

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage WHERE FormName = 'Skills'");
$sth = $dbh->do("insert into InputPage ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Form_Action, Form_Method ) VALUES ( 'Skills', 'Skills List', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', '', 'POST' )");

################################################################
#  Input lines for form Skills
################################################################
$sth = $dbh->do("delete from InputLines WHERE FormName = 'Skills'");
$sth = $dbh->do("delete from InputDB WHERE FormName = 'Skills'");
$sth = $dbh->do("delete from InputAttributes WHERE FormName = 'Skills'");

${FormName} = 'Skills';
${InputName} = 'SKILLTYPE';
${PositionID} = '1';
${InputPrompt} = 'Skill Type';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the skill type ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillType';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'Skills';
${InputName} = 'SKILLCLASS';
${PositionID} = '1';
${InputPrompt} = 'Skill Classification';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the skill Classification ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillClass';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'Skills';
${InputName} = 'SKILL';
${PositionID} = '1';
${InputPrompt} = 'Skill';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the skill ID number';
${TableName} = 'KEY';
${FieldName} = 'Skill';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${FormName} = 'Skills';
${InputName} = 'SKILLDESC';
${PositionID} = '1';
${InputPrompt} = 'Skill Description';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a description of this skill';
${TableName} = 'SkillList';
${FieldName} = 'SkillDesc';
${InputTypeSQL} = 'varchar(64)';
${Height} = '32';
${Width} = '64';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

$dbh->disconnect();
