#!/usr/bin/perl
################################################################
# Program:	delete.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	displays existing records and allows user to delete
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

$SQLDELETE = "";

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

print "<!-- QUERY_STRING = $ENV{QUERY_STRING} -->\n";

if ( ${FORMNAME} eq '' ) {
    ${text_string} = "to DELETE existing records from tables associated with form";
    &formNameNull;
}

# print "<P><H1>SQLDELETE = ${SQLDELETE}</H1></P>\n";

${TITLE1} = ${Page_Title};
${TITLE2} = "List of records from all associated tables";
${TITLE3} = "Delete a Record";
&titleBar;

&sqldelete if ( ${SQLDELETE} ne '' );

$sql = "SELECT Distinct InputDB2.TableName,InputDB2.FieldName,InputDB2.InputTypeSQL FROM InputDB2,FormLines2 WHERE InputDB2.LineName = FormLines2.LineName AND FormLines2.FormName = '${FORMNAME}'";
$sth = $dbh->prepare($sql);
$sth->execute;
my(@InputLines);
my $rl_names = $sth->{NAME};
while (@InputLines = $sth->fetchrow_array) {
    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
# print ${field_name} . " = " . ${${field_name}} . "<BR>\n";
    }
    $SQLFIELDS{${TableName}} = $SQLFIELDS{${TableName}} . ${FieldName} . ", ";
}
$sth->finish();

# DLF 06/08/2000  print "<FORM Action=\"$ENV{SCRIPT_NAME}\" Method=\"${Form_Method}\">\n"; 
if ( ${Form_Action} eq '' ) {
  print "<FORM Name=\"form1\" Action=\"$ENV{SCRIPT_NAME}\" Method=\"${Form_Method}\"><P><CENTER>\n";
} else {
  print "<FORM Name=\"form1\" Action=\"${Form_Action}\" Method=\"${Form_Method}\"><P><CENTER>\n";
}

print "<INPUT Type=\"hidden\" Name=\"FORMNAME\" Value=\"${FORMNAME}\">\n";
foreach $table_name (keys %SQLFIELDS) {
  if ( $table_name ne 'KEY' ) {
    my ${TMPFIELDS} = $SQLFIELDS{KEY} . $SQLFIELDS{${table_name}};
    ${TMPFIELDS} =~ s|, $||g;
    $sql_statement = "SELECT ${TMPFIELDS} FROM ${table_name}";
#     print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";
    $sth = $dbh->prepare($sql_statement);
    $sth->execute;
    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    my $rl_names = $sth->{NAME};

    print "<P><HR></P>\n";
    print "<P><STRONG><FONT Size=\"+1\">Database Table:</STRONG> <I>${table_name}</I></FONT></P>\n";
    print "<P><TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" CellPadding=\"${CellPadding}\">\n";

    print "<P><TR>\n";
    print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">Delete</FONT></TH>\n";
    foreach $field_name (@$rl_names) {
      print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">${field_name}</FONT></TH>\n";
    }
    print "</TR></P>\n";

    while (@results = $sth->fetchrow_array) {
      if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
      print "<P><TR>\n";
      my (${SQLDELETE}) = "";
      foreach $field_name (@$rl_names) {
        ${${field_name}} = shift @results;
        if ( ${${field_name}} eq '' ) {
          ${SQLDELETE} = ${SQLDELETE} . " ( " . ${field_name} . " IS NULL OR " . ${field_name} . " = '' ) AND";
        } else {
          ${SQLDELETE} = ${SQLDELETE} . " " . ${field_name} . " = '${${field_name}}' AND";
        }
      }
      ${SQLDELETE} = "DELETE FROM ${table_name} WHERE " . ${SQLDELETE};
      ${SQLDELETE} =~ s| AND $||g;
      ${SQLDELETE} =~ s| AND$||g;
      ${SQLDELETE} =~ s|@|\\@|g;
      print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;<INPUT Type=\"radio\" NAME=\"SQLDELETE\" VALUE=\"${SQLDELETE}\"></FONT></TD>\n";
      foreach $field_name (@$rl_names) {
        print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
      }
      print "</TR></P>\n";
    }
    print "</TABLE></P>\n";
  }
}
print "<P><CENTER>\n";
print "<INPUT Type=\"submit\" Value=\"Delete\">\n";
print "</CENTER></P>\n";
print "</FORM>\n";
print "<P><HR></P>\n";

&linkBar;
&footer;

################################################################
sub sqldelete()
{
  $sth = $dbh->prepare(${SQLDELETE});
  if ($DBI::err) { print STDOUT $DBI::errstr,"<BR>\n"; return }
  $sth->execute;
  if ($DBI::err) { print STDOUT $DBI::errstr,"<BR>\n"; return }
  print "<P><HR></P>\n";
  print "<P><H2>Record DELETED using the following SQL Statement:</H2></P><P>" . ${SQLDELETE} . "</P>\n";
  $sth->finish();
}

$dbh->disconnect();

