#!/usr/bin/perl
################################################################
# Program:	insertskills.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub insertRecord()
{
  print "Working on ${SkillDesc}\n";
  $sth = $dbh->do("INSERT into KMProjSkill2 ( NetplexID, ProjectID, SkillType, SkillClass, SkillID, SkillDesc, SkillUsage ) VALUES ( '${NetplexID}', '${ProjectID}', '${SkillType}', '${SkillClass}', '${SkillID}', '${SkillDesc}', '${SkillUsage}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

$dbh = DBI->connect() ;

${NetplexID} = 'FR002';
$sth = $dbh->do("delete from KMProjSkill2 WHERE NetplexID = '${NetplexID}'");

################################################################
#  Insert records into KMProjSkill
################################################################

################################################################
# Operating Systems
################################################################

${NetplexID} = 'FR002';
${ProjectID} = 'USM006';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '618';
${SkillDesc} = 'AIX';
${SkillUsage} = 'USMC hired AIG to provide 3rd party analysis of an application being written by IBM for the USMC. My job was to analize the design and implementation of the application. The AIX box was used as a central controller.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'STO002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '618';
${SkillDesc} = 'AIX';
${SkillUsage} = 'As a subcontractor to IBM and working with Stop & Shop, I was part of a team to integrate Hobart, Franklin and Toledo scales into an AIX environment. This required an indepth knowledge of async communications and application in an AIX environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'FOL003';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '618';
${SkillDesc} = 'AIX';
${SkillUsage} = 'With Follett Campus Stores I participated in a team to port a Cobol application purchased by Follett onto the AIX-[200]RS/6000. My duties included providing design and implementation consulting to the project team.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '618';
${SkillDesc} = 'AIX';
${SkillUsage} = 'I have written and copyrighted a shell script library which provides "curses" like functionality in a Bourne Shell environment. The system is called Shell Curses and provides screen addressing functions for the shell programmer.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '700';
${SkillDesc} = 'DEC/VAX';
${SkillUsage} = 'My experience with DEC/VAX equipment includes a VAX 11/750 running BSD 4.3 Unix. My duties included acting as the system administrator in addition to project programming. I worked with many DEC peripherals and add-in cards in support of the VAX 11/750.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'AIG001';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '701';
${SkillDesc} = 'RS/6000';
${SkillUsage} = 'I have had a variety of experience with IBM RS/6000s including models 250, 320H, 550, 580H, 590H, and C10. All models were running AIX. Peripherals include Portmaster Term Servers, RAID Systems, various modems and scales. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '702';
${SkillDesc} = 'AS/400';
${SkillUsage} = 'Integrated AS/400 into a Unix network environment via Token Ring LAN. I developed a remote printing system which allowed the AS/400 user to print shelf tags and labels on remotely located laser printers attached to NCR SVR4 Unix machines at the stores.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '703';
${SkillDesc} = 'Sun';
${SkillUsage} = 'Worked with the FAA for 10 months to port the Instrument Approach Procedures Automation system to SunOS environment. Project involved porting a large quantity of fortran code from Data General Mainframe running AOS to fortran and C language on the Sun.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '704';
${SkillDesc} = 'HP 9000';
${SkillUsage} = 'Wal-Mart was using Hewlett Packard equipment as a back office processor for the stores, and as intermediate servers to relieve some of the burden from the Teradata machine. I worked with the back office processors as well as the intermediate servers.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '704';
${SkillDesc} = 'HP 9000';
${SkillUsage} = 'Have performed the role of System Administrator on an HP OpenView Network Managment station and provided all hardware/software support.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '706';
${SkillDesc} = 'DG Aviion';
${SkillUsage} = 'Designed and built high availability database system for Southwestern Bell Mobile Systems  to keep track of error notifications generated by the cellular transmission towers. Worked with Aviion servers and Clarion disk array.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '707';
${SkillDesc} = 'DG Clarion';
${SkillUsage} = 'Designed and built high availability database system for Southwestern Bell Mobile Systems  to keep track of error notifications generated by the cellular transmission towers. Worked with Aviion servers and Clarion disk array.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '708';
${SkillDesc} = 'NCR 3400,3500';
${SkillUsage} = 'Wal-Mart uses NCR machines as back office server and as personal computers. During my time working with Wal-Mart, I designed, built, and implemented, distributed Informix Database Systems on NCR platforms.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ELI010';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '708';
${SkillDesc} = 'NCR 3400,3500';
${SkillUsage} = 'I was the lead consultant during Eli Witts LAN/WAN upgrade to these servers running NCR SVR4. This implementation required integrating the servers into a LAN/WAN environment using both TCP/IP and UUCP over leased lines with dial backup.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ELI010';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '708';
${SkillDesc} = 'NCR 3400,3500';
${SkillUsage} = 'Eli Witts NCR machines ran the Galaxy environment as an emulation of the NCR 9400 ITX systems. The Galaxy environment allowed Eli Witt to migrate from the legacy system into a modern system.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'HOM001';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '708';
${SkillDesc} = 'NCR 3400,3500';
${SkillUsage} = 'Home Quarters uses NCR 3400 machines as back office processors. I designed, built, and implemented a shelf tag printing system from an AS/400 at the headquarters to the NCR back office processors. The printers included Printronix and Texas Instruments.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'AIG001';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '708';
${SkillDesc} = 'NCR 3400,3500';
${SkillUsage} = 'Applied Intelligence Group used an NCR 3400 computer in support of various clients. It has been configured as a server on a Token Ring network, a server on an Ethernet network, an NFS server, and as a print server. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ELI010';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '709';
${SkillDesc} = 'NCR 9400';
${SkillUsage} = 'Worked with Eli Witt which used NCR 9400 machines as departmental and branch office servers. I was involved in designing, building, and implementing a migration effort from NCR 9400 ITX system to NCR 3400 SVR4 system running Galaxy environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshIndex';
${SkillUsage} = 'A set of utilities and scripts build around the Apache fancyIndex functions.  Allows webmasters to provide a variety of functions to users including automated indexing of URLs, files, and directories, user authorization management, etc.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - Shell Curses';
${SkillUsage} = 'Shell Implementation of the UNIX Curses Library. Provides Screen addressing capabilities to the Shell Programmer. Comes with Menuing and data management system and complete source code.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshEvents';
${SkillUsage} = 'Web Based Events Calendar. Configurable, written in korn shell, complete source Code. Users may submit events. Calendars can be open to all or moderated. Ability to mark holidays and special days. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshSchedule';
${SkillUsage} = 'Web Based Reservation / Scheduling Software. Configurable, written in korn shell, complete source Code. Reserve or Schedule Items such as conference rooms, office equipment, computers, etc.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshEngine';
${SkillUsage} = 'Web Site Generator. Automatically and dynamically generates complete web sites from Unix directory and file system structure. Configurable, written in korn shell, complete source Code. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshMenus';
${SkillUsage} = 'Web Based Menuing and Data Management System. Provides Web based Menuing, Data Entry, and Web Database Program Generator. This system allows a user to create web based menus and data entry screens.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshAddURL';
${SkillUsage} = 'This program provides the ability to submit a URL to any number of Search Engine Indices. It comes preprogrammed with the ability to submit to several Indices, and the user may add as many Indices as desired. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshNoSpam';
${SkillUsage} = 'This program provides a SPAM filter and reflection mechanism for unwanted Unsolicited Commercial E-mail (UCE). ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshContact';
${SkillUsage} = 'This program is similar to a company rolodex except that it generates web accessible documents which can be linked into any other document on the Internet or Intranet.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshLink';
${SkillUsage} = 'Web Based Communications Control System. Provides the ability to configure, control, record, and report on communication sessions between computers. Communication Sessions include file transfers, print jobs, remotely executed commands, etc.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshBackup';
${SkillUsage} = 'Web Based Automated Backup system for LAN/WAN attached system. Provides the ability to perform backups of remotely attached systems to a local device. Desktop user may provide backup information such as a local directory and attachement method.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshInstall';
${SkillUsage} = 'kshInstall is a generic installation program which utilizes shell curses and FrenchMenus. It can be configured to be the installation process for any Unix program or package by providing a character based menuing and data entry interface.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshSQL';
${SkillUsage} = 'kshSQL is a database management system with an "Ingres" like interface. It reads SQL commands interactively and executes those commands by creating and manipulating Unix files. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - kshSpider';
${SkillUsage} = 'This script performs WWW crawling or spidering, which means that it will to go a specified URL and crawl through the web site detecting other pages and links. The output of this program is a list of URLs. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - ftpSpider';
${SkillUsage} = 'This script performs FTP site crawling or spidering, which means that it will to go a specified URL and crawl through the FTP site detecting child directories. The output of this program is a list of FTP directories. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - mkdlbat';
${SkillUsage} = 'This script generates a DOS batch file to FTP download an entire Unix directory structure including all files. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - isLeap';
${SkillUsage} = 'Korn Shell function to determine whether or not a specified 4 digit year is a leap year. This function is designed to return the result as the return status of the function.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - cgiparse';
${SkillUsage} = 'Korn Shell function to parse CGI form variables and values. Processes a standard input stream and provides as output the processed stream, one variable/value pair per line.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - getch function';
${SkillUsage} = 'Korn Shell function to read one character from standard input (STDIN) without requiring a carriage return. This function would typically be used in a shell script to detect a key press. ';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - eStorLink';
${SkillUsage} = 'UUCP Based Communications Control System. Provides the ability to configure, control, record, and report on communication sessions between computers. Communication Sessions include file transfers, print jobs, remotely executed commands, etc.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'NET310';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '676';
${SkillDesc} = 'Perl - DBIforms';
${SkillUsage} = 'Developed database and platform independent, web based forms generator. This program allows a user to create and maintain databases from a web browser.  It also allows users to perform data entry and reporting from a browser.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'NET410';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '676';
${SkillDesc} = 'Perl - Knowledge Management';
${SkillUsage} = 'Developed Knowledge Management system for Netplex to use as system for tracking employee skills, training, and certifications.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'STO002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '699';
${SkillDesc} = 'Sinix';
${SkillUsage} = 'Provided technical support for a Siemens/Nixdorf development project with Nordstrom. Involved writing a device driver for proprietary Siemens/Nixdorf network card and also required writing a printer configuration system.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'PRENTPL';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '622';
${SkillDesc} = 'BSD';
${SkillUsage} = 'worked on was a DEC/VAX 11/750 running BSD 4.2 at Energy Analysts, Inc. My job at Energy Analysts was that of a System Administrator/Lead Programmer on a software development project in the chemical engineering industry.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ATC002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '616';
${SkillDesc} = 'WAN';
${SkillUsage} = 'Network Assessment and recommendations study was performed for this client. This was an enterprise wide study which encompassed seven locations and all aspects of the networking environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ATC002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '613';
${SkillDesc} = '10/100';
${SkillUsage} = 'Base-X Network Assessment and recommendations study was performed for this client. This was an enterprise wide study which encompassed seven locations and all aspects of the networking environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ATC002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '614';
${SkillDesc} = 'TCP/IP';
${SkillUsage} = 'Network Assessment and recommendations study was performed for this client. This was an enterprise wide study which encompassed seven locations and all aspects of the networking environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'ATC002';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '712';
${SkillDesc} = 'Cisco';
${SkillUsage} = 'Network Assessment and recommendations study was performed for this client. This was an enterprise wide study which encompassed seven locations and all aspects of the networking environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '610';
${SkillDesc} = 'Modem';
${SkillUsage} = 'Designed, built, implemented and supported an enterprise wide LAN/WAN environment which included HQ environment, backoffice, POS, and DSD systems. WAN was dial-on-demand network over 28,800 baud modems.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '613';
${SkillDesc} = '10/100';
${SkillUsage} = 'Base-X Designed, built, implemented and supported an enterprise wide LAN/WAN environment which included HQ environment, backoffice, POS, and DSD systems. Created 10-baseT LAN environment in all stores.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '614';
${SkillDesc} = 'TCP/IP';
${SkillUsage} = 'Designed, built, implemented and supported an enterprise wide LAN/WAN environment which included HQ environment, backoffice, POS, and DSD systems. Consolidated all communications over TCP/IP network standards.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '616';
${SkillDesc} = 'WAN';
${SkillUsage} = 'Designed, built, implemented and supported an enterprise wide LAN/WAN environment which included HQ environment, backoffice, POS, and DSD systems. Created WAN environment with dial-on-demand networking using Cisco 1020 routers.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '624';
${SkillDesc} = 'HP  UX';
${SkillUsage} = 'Performed Network Monitoring and Management of LAN/WAN environment using HP Openview running on HP:UX.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '638';
${SkillDesc} = 'Unix';
${SkillUsage} = 'Integrated POS system into LAN/WAN environment in all 70 store locations. POS system was running on SCO Unix.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '642';
${SkillDesc} = 'Windows NT';
${SkillUsage} = 'LAN/WAN environment was based around Windows NT system which ran a variety of applications in the store environment.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '666';
${SkillDesc} = 'Informix';
${SkillUsage} = 'Created a number of integration scripts and routines to link the SCO POS system which used an Informix database, to the DSD system on the Windows NT box which ran a proprietary database.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script';
${SkillUsage} = 'Created a number of shell scripts for network management, monitoring, file transfer, database integration, etc. These scripts linked the SCO Unix POS systems to the Windows NT boxes in the store and to machines at HQ.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '690';
${SkillDesc} = 'SQL';
${SkillUsage} = 'Performed SQL programming of Informix database on SCO Unix POS System during integration with DSD system on Windows NT box.';
&insertRecord;

${NetplexID} = 'FR002';
${ProjectID} = 'BRK006';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '712';
${SkillDesc} = 'Cisco';
${SkillUsage} = 'Designed, built, implemented and supported an enterprise wide LAN/WAN environment which included HQ environment, backoffice, POS, and DSD systems. LAN/WAN environment was built on Cisco 1020 routers running dial-on-demand.';
&insertRecord;

$dbh->disconnect();
