#!/usr/bin/perl
################################################################
# Program:	insertskills.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub insertRecord()
{
  $sth = $dbh->do("delete from KMSkills2 WHERE NetplexID = '${NetplexID}' AND SkillType = '${SkillType}' AND SkillClass = '${SkillClass}' AND SkillID = '${SkillID}'");
  $sth = $dbh->do("delete from KMCertify2 WHERE NetplexID = '${NetplexID}' AND SkillType = '${SkillType}' AND SkillClass = '${SkillClass}' AND SkillID = '${SkillID}'");
  $sth = $dbh->do("INSERT into KMSkills2 ( NetplexID, SkillType, SkillClass, SkillID, SkillDesc, RevLevel, SkillLevel, SkillExp, SkillLast, SkillPref ) VALUES ( '${NetplexID}', '${SkillType}', '${SkillClass}', '${SkillID}', '${SkillDesc}', '${RevLevel}', '${SkillLevel}', '${SkillExp}', '${SkillLast}', '${SkillPref}' )");
  if ( ( ${Certification} ne '' ) || ( ${CertNumber} ne '' ) || ( ${CertRenew} ne '' ) ) {
    $sth = $dbh->do("INSERT into KMCertify2 ( NetplexID, SkillType, SkillClass, SkillID, Certification, CertNumber, CertRenew ) VALUES ( '${NetplexID}', '${SkillType}', '${SkillClass}', '${SkillID}', '${Certification}', '${CertNumber}', '${CertRenew}' )");
  }
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

$dbh = DBI->connect() ;

${NetplexID} = '173';
$sth = $dbh->do("delete from KMSkills2 WHERE NetplexID = '${NetplexID}'");

################################################################
#  Insert records into KMSkills
################################################################

################################################################
# Operating Systems
################################################################

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '618';
${SkillDesc} = 'AIX';
${RevLevel} = '4.3';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = 'IBM Certified Specialist: AIX V4.3 System Support';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '622';
${SkillDesc} = 'BSD';
${RevLevel} = '4.2';
${SkillLevel} = 'expert';
${SkillExp} = '8';
${SkillLast} = '3';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '623';
${SkillDesc} = 'DOS';
${RevLevel} = '6.3';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '624';
${SkillDesc} = 'HP - UX';
${RevLevel} = '11';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '628';
${SkillDesc} = 'Linux';
${RevLevel} = '6.2';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '633';
${SkillDesc} = 'OS/2';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '4';
${SkillLast} = '3';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '635';
${SkillDesc} = 'RS/6000';
${RevLevel} = '4.2';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '636';
${SkillDesc} = 'SunOS/Solaris';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '2';
${SkillLast} = '60';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '638';
${SkillDesc} = 'Unix';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '640';
${SkillDesc} = 'Windows 95-98';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '641';
${SkillDesc} = 'Windows 3.1';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '36';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '642';
${SkillDesc} = 'Windows NT';
${RevLevel} = '4.0';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '89';
${SkillID} = '643';
${SkillDesc} = 'Windows 2000';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '1';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

################################################################
# Databases
################################################################

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '530';
${SkillDesc} = 'Administration DBA';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '544';
${SkillDesc} = 'Informix';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '36';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '548';
${SkillDesc} = 'Management';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '551';
${SkillDesc} = 'Oracle';
${RevLevel} = '7.0';
${SkillLevel} = 'senior';
${SkillExp} = '4';
${SkillLast} = '12';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '553';
${SkillDesc} = 'SQL';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '553';
${SkillDesc} = 'Microsoft SQL Server';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '1';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

################################################################
# Engineering
################################################################

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '85';
${SkillID} = '557';
${SkillDesc} = 'AutoCAD Customization';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '561';
${SkillDesc} = 'Chemical Engineering';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '10';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '84';
${SkillID} = '566';
${SkillDesc} = 'Process Control';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '4';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '572';
${SkillDesc} = 'CGI Programming';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '575';
${SkillDesc} = 'Database';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '576';
${SkillDesc} = 'Domain Registration';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '579';
${SkillDesc} = 'HTML';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '582';
${SkillDesc} = 'Javascript';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '584';
${SkillDesc} = 'Mailing List Development';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '586';
${SkillDesc} = 'Research';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '587';
${SkillDesc} = 'Search Engine Submission';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '590';
${SkillDesc} = 'Systems Configuration';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '594';
${SkillDesc} = 'Website Design';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '595';
${SkillDesc} = 'Website Editing';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '597';
${SkillDesc} = 'Website Usability';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '6';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '86';
${SkillID} = '598';
${SkillDesc} = 'XML';
${RevLevel} = '';
${SkillLevel} = 'junior';
${SkillExp} = '1';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

################################################################
# Networking
################################################################

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '610';
${SkillDesc} = 'Modem';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '613';
${SkillDesc} = '10/100 Base-X';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '614';
${SkillDesc} = 'TCP/IP';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '615';
${SkillDesc} = 'Token Ring';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '4';
${SkillLast} = '36';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '88';
${SkillID} = '616';
${SkillDesc} = 'WAN';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

################################################################
# Programming
################################################################

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '651';
${SkillDesc} = 'Application';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '653';
${SkillDesc} = 'Basic';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '60';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '654';
${SkillDesc} = 'C/C++';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '655';
${SkillDesc} = 'CGI';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '663';
${SkillDesc} = 'Fortran 66 77';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '8';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '666';
${SkillDesc} = 'Informix';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '6';
${SkillLast} = '36';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '670';
${SkillDesc} = 'Lisp';
${RevLevel} = '';
${SkillLevel} = 'junior';
${SkillExp} = '1';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '673';
${SkillDesc} = 'Motif';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '2';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '674';
${SkillDesc} = 'Operating System';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '676';
${SkillDesc} = 'Perl';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '682';
${SkillDesc} = 'Project Management';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '685';
${SkillDesc} = 'Reverse Engineering';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '12';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '686';
${SkillDesc} = 'Report Program Generator';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '687';
${SkillDesc} = 'Shell Script - Korn, Bourne';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '689';
${SkillDesc} = 'Software Testing';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '690';
${SkillDesc} = 'SQL';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '691';
${SkillDesc} = 'Visual Basic';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '36';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '90';
${SkillID} = '694';
${SkillDesc} = 'X-Windows';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '11';
${SkillLast} = '6';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '77';
${SkillID} = '245';
${SkillDesc} = 'Black & White Photo Printing';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '77';
${SkillID} = '428';
${SkillDesc} = 'Photo Scanning';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '2';
${SkillLast} = '60';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '77';
${SkillID} = '514';
${SkillDesc} = 'Portrait Photography';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '4';
${SkillLast} = '60';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '80';
${SkillID} = '419';
${SkillDesc} = 'Technical Writing';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '80';
${SkillID} = '504';
${SkillDesc} = 'Instructional Web Copy';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '4';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '80';
${SkillID} = '511';
${SkillDesc} = 'Software Documentation';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '1';
${SkillClass} = '82';
${SkillID} = '482';
${SkillDesc} = 'Science & Technical Illustration';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '69';
${SkillID} = '273';
${SkillDesc} = 'Business Plans';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '69';
${SkillID} = '274';
${SkillDesc} = 'Business Presentations';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '69';
${SkillID} = '275';
${SkillDesc} = 'Business Strategy';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '71';
${SkillID} = '308';
${SkillDesc} = 'Administration';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '71';
${SkillID} = '309';
${SkillDesc} = 'Deal-making';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '71';
${SkillID} = '312';
${SkillDesc} = 'Leadership';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '71';
${SkillID} = '312';
${SkillDesc} = 'New Business Opportunities';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '71';
${SkillID} = '316';
${SkillDesc} = 'Project Management';
${RevLevel} = '';
${SkillLevel} = 'expert';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '71';
${SkillID} = '318';
${SkillDesc} = 'Team Coordination';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '75';
${SkillID} = '377';
${SkillDesc} = 'Assembly Procedures';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '1';
${SkillPref} = '4';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '75';
${SkillID} = '380';
${SkillDesc} = 'Engineering Support';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '10';
${SkillLast} = '1';
${SkillPref} = '3';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '75';
${SkillID} = '385';
${SkillDesc} = 'Plant Safety';
${RevLevel} = '';
${SkillLevel} = 'midlevel';
${SkillExp} = '8';
${SkillLast} = '120';
${SkillPref} = '2';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '76';
${SkillID} = '391';
${SkillDesc} = 'Account Management';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '11';
${SkillLast} = '12';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '2';
${SkillClass} = '76';
${SkillID} = '394';
${SkillDesc} = 'E-commerce';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '2';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

${NetplexID} = 'FR002';
${SkillType} = '3';
${SkillClass} = '91';
${SkillID} = '712';
${SkillDesc} = 'Cisco';
${RevLevel} = '';
${SkillLevel} = 'senior';
${SkillExp} = '5';
${SkillLast} = '1';
${SkillPref} = '5';
${Certification} = '';
${CertNumber} = '';
${CertRenew} = '';
&insertRecord;

$dbh->disconnect();

