#!/usr/bin/perl
################################################################
# Program:	kmskills.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'KMSkills'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'KMSkills', 'KM Skills Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'kmskills_pretable.pl', '', '', 'POST' )");

################################################################
#  Input lines for form KMSkills
################################################################

${LineName} = 'netplexid';
${InputName} = 'NETPLEXID';
${InputPrompt} = 'Employee ID';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the Netplex Employee ID';
${TableName} = 'KEY';
${FieldName} = 'NetplexID';
${InputTypeSQL} = 'varchar(8)';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '1';
&mkrecord;

${LineName} = 'skilltype';
${InputName} = 'SKILLTYPE';
${InputPrompt} = 'Skill Type';
${InputTypeCGI} = 'hidden';
${InputValue} = '';
${InputHelp} = 'Enter a skill type ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillType';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillclass';
${InputName} = 'SKILLCLASS';
${InputPrompt} = 'Skill Classification';
${InputTypeCGI} = 'hidden';
${InputValue} = '';
${InputHelp} = 'Enter a skill classification ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillClass';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillid';
${InputName} = 'SKILLID';
${InputPrompt} = 'Skill ID';
${InputTypeCGI} = 'hidden';
${InputValue} = '';
${InputHelp} = 'Enter a skill ID number';
${TableName} = 'KEY';
${FieldName} = 'SkillID';
${InputTypeSQL} = 'int';
${Height} = '8';
${Width} = '8';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilldesc';
${InputName} = 'SKILLDESC';
${InputPrompt} = 'Skill Description';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a description of this skill';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillDesc';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'revlevel';
${InputName} = 'REVLEVEL';
${InputPrompt} = 'Revision Level';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter the associated version or revision level';
${TableName} = 'KMSkills2';
${FieldName} = 'RevLevel';
${InputTypeSQL} = 'varchar(24)';
${Height} = '24';
${Width} = '24';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllevel';
${InputName} = 'SKILLLEVEL';
${InputPrompt} = 'Skill Level';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select a skill level';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllevelexpert';
${InputName} = 'SKILLLEVEL';
${InputPrompt} = 'Expert';
${InputTypeCGI} = 'option';
${InputValue} = 'expert';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllevelsenior';
${InputName} = 'SKILLLEVEL';
${InputPrompt} = 'Senior';
${InputTypeCGI} = 'option';
${InputValue} = 'senior';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllevelmid';
${InputName} = 'SKILLLEVEL';
${InputPrompt} = 'Mid Level';
${InputTypeCGI} = 'option';
${InputValue} = 'midlevel';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillleveljunior';
${InputName} = 'SKILLLEVEL';
${InputPrompt} = 'Junior';
${InputTypeCGI} = 'option';
${InputValue} = 'junior';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLevel';
${InputTypeSQL} = 'varchar(16)';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp';
${InputName} = 'SKILLEXP';
${InputPrompt} = 'Years of Experience';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select the number of years of experience with this skill';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp0';
${InputName} = 'SKILLEXP';
${InputPrompt} = '0-1';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp1';
${InputName} = 'SKILLEXP';
${InputPrompt} = '1-2';
${InputTypeCGI} = 'option';
${InputValue} = '2';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp3';
${InputName} = 'SKILLEXP';
${InputPrompt} = '3-4';
${InputTypeCGI} = 'option';
${InputValue} = '4';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp5';
${InputName} = 'SKILLEXP';
${InputPrompt} = '5-6';
${InputTypeCGI} = 'option';
${InputValue} = '6';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp7';
${InputName} = 'SKILLEXP';
${InputPrompt} = '7-8';
${InputTypeCGI} = 'option';
${InputValue} = '8';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp9';
${InputName} = 'SKILLEXP';
${InputPrompt} = '9-10';
${InputTypeCGI} = 'option';
${InputValue} = '10';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillexp10';
${InputName} = 'SKILLEXP';
${InputPrompt} = '10+';
${InputTypeCGI} = 'option';
${InputValue} = '11';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillExp';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast';
${InputName} = 'SKILLLAST';
${InputPrompt} = 'Skill Last Used';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select how long ago the skill was last used';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast0';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 1 mo';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast1';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 6 mo';
${InputTypeCGI} = 'option';
${InputValue} = '6';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast2';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 1 yr';
${InputTypeCGI} = 'option';
${InputValue} = '12';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast3';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 3 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '36';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast4';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 5 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '60';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast5';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 8 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '96';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skilllast6';
${InputName} = 'SKILLLAST';
${InputPrompt} = '< 10 yrs';
${InputTypeCGI} = 'option';
${InputValue} = '120';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillLast';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillpref';
${InputName} = 'SKILLPREF';
${InputPrompt} = 'Skill Preference';
${InputTypeCGI} = 'select';
${InputValue} = '';
${InputHelp} = 'Select a preference for practicing this skill';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillpref5';
${InputName} = 'SKILLPREF';
${InputPrompt} = 'Very High';
${InputTypeCGI} = 'option';
${InputValue} = '5';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillpref4';
${InputName} = 'SKILLPREF';
${InputPrompt} = 'High';
${InputTypeCGI} = 'option';
${InputValue} = '4';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillpref3';
${InputName} = 'SKILLPREF';
${InputPrompt} = 'Neutral';
${InputTypeCGI} = 'option';
${InputValue} = '3';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillpref2';
${InputName} = 'SKILLPREF';
${InputPrompt} = 'Low';
${InputTypeCGI} = 'option';
${InputValue} = '2';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'skillpref1';
${InputName} = 'SKILLPREF';
${InputPrompt} = 'Very Low';
${InputTypeCGI} = 'option';
${InputValue} = '1';
${InputHelp} = '';
${TableName} = 'KMSkills2';
${FieldName} = 'SkillPref';
${InputTypeSQL} = 'int';
${Height} = '16';
${Width} = '16';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'certification';
${InputName} = 'CERTIFICATION';
${InputPrompt} = 'Certification and Training';
${InputTypeCGI} = 'textarea';
${InputValue} = '';
${InputHelp} = 'Describe achieved certification and/or training for this skill';
${TableName} = 'KMCertify2';
${FieldName} = 'Certification';
${InputTypeSQL} = 'varchar(255)';
${Height} = '5';
${Width} = '51';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'certnumber';
${InputName} = 'CERTNUMBER';
${InputPrompt} = 'Certification Number';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a certification number or ID';
${TableName} = 'KMCertify2';
${FieldName} = 'CertNumber';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

${LineName} = 'certrenew';
${InputName} = 'CERTRENEW';
${InputPrompt} = 'Certification Renewal Date';
${InputTypeCGI} = 'text';
${InputValue} = '';
${InputHelp} = 'Enter a date when certification must be renewed';
${TableName} = 'KMCertify2';
${FieldName} = 'CertRenew';
${InputTypeSQL} = 'varchar(32)';
${Height} = '32';
${Width} = '32';
${Selected} = '0';
${Multiple} = '0';
${Required} = '0';
&mkrecord;

################################################################
#  Associate input lines with a form
################################################################

${FormName} = 'KMSkills';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'netplexid';
${PositionID} = '1';
&mkformline;

${LineName} = 'skilltype';
${PositionID} = '2';
&mkformline;

${LineName} = 'skillclass';
${PositionID} = '3';
&mkformline;

${LineName} = 'skillid';
${PositionID} = '4';
&mkformline;

${LineName} = 'skilldesc';
${PositionID} = '5';
&mkformline;

${LineName} = 'revlevel';
${PositionID} = '6';
&mkformline;

${LineName} = 'skilllevel';
${PositionID} = '7';
&mkformline;

${LineName} = 'skilllevelexpert';
${PositionID} = '701';
&mkformline;

${LineName} = 'skilllevelsenior';
${PositionID} = '702';
&mkformline;

${LineName} = 'skilllevelmid';
${PositionID} = '703';
&mkformline;

${LineName} = 'skillleveljunior';
${PositionID} = '704';
&mkformline;

${LineName} = 'skillexp';
${PositionID} = '8';
&mkformline;

${LineName} = 'skillexp0';
${PositionID} = '801';
&mkformline;

${LineName} = 'skillexp1';
${PositionID} = '802';
&mkformline;

${LineName} = 'skillexp3';
${PositionID} = '803';
&mkformline;

${LineName} = 'skillexp5';
${PositionID} = '804';
&mkformline;

${LineName} = 'skillexp7';
${PositionID} = '805';
&mkformline;

${LineName} = 'skillexp9';
${PositionID} = '806';
&mkformline;

${LineName} = 'skillexp10';
${PositionID} = '807';
&mkformline;

${LineName} = 'skilllast';
${PositionID} = '9';
&mkformline;

${LineName} = 'skilllast0';
${PositionID} = '901';
&mkformline;

${LineName} = 'skilllast1';
${PositionID} = '902';
&mkformline;

${LineName} = 'skilllast2';
${PositionID} = '903';
&mkformline;

${LineName} = 'skilllast3';
${PositionID} = '904';
&mkformline;

${LineName} = 'skilllast4';
${PositionID} = '905';
&mkformline;

${LineName} = 'skilllast5';
${PositionID} = '906';
&mkformline;

${LineName} = 'skilllast6';
${PositionID} = '907';
&mkformline;

${LineName} = 'skillpref';
${PositionID} = '10';
&mkformline;

${LineName} = 'skillpref5';
${PositionID} = '1005';
&mkformline;

${LineName} = 'skillpref4';
${PositionID} = '1004';
&mkformline;

${LineName} = 'skillpref3';
${PositionID} = '1003';
&mkformline;

${LineName} = 'skillpref2';
${PositionID} = '1002';
&mkformline;

${LineName} = 'skillpref1';
${PositionID} = '1001';
&mkformline;

${LineName} = 'certification';
${PositionID} = '11';
&mkformline;

${LineName} = 'certnumber';
${PositionID} = '12';
&mkformline;

${LineName} = 'certrenew';
${PositionID} = '13';
&mkformline;


################################################################
#  Create KMCertify Page
################################################################

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'KMCertify'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'KMCertify', 'KM Certification Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'kmskills_pretable.pl', '', '', 'POST' )");

${FormName} = 'KMCertify';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

${LineName} = 'netplexid';
${PositionID} = '1';
&mkformline;

${LineName} = 'skilltype';
${PositionID} = '2';
&mkformline;

${LineName} = 'skillclass';
${PositionID} = '3';
&mkformline;

${LineName} = 'skillid';
${PositionID} = '4';
&mkformline;

${LineName} = 'certification';
${PositionID} = '5';
&mkformline;

${LineName} = 'certnumber';
${PositionID} = '6';
&mkformline;

${LineName} = 'certrenew';
${PositionID} = '7';
&mkformline;

$dbh->disconnect();

