#!/usr/bin/perl
################################################################
# Program:	mkskilllist.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	displays existing records and allows user to delete
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

$SQLDELETE = "";

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect();

$sth = $dbh->do("delete from SkillList2");

$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '0', '0', 'Creative Skills' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '0', 'Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '409', 'Catalog Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '421', 'Digital Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '425', 'Black & White Photo Printing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '426', 'Digital Photo Optimizing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '427', 'Nature Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '428', 'Photo Scanning' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '432', 'Photo Acquisition' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '463', 'Photo Archiving' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '468', 'Travel Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '472', 'Adventure Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '473', 'Photo Enhancement' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '479', 'Photojournalism' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '481', 'Still Life Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '491', 'Photo Art Direction' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '493', 'Sports Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '497', 'Photo Editing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '501', 'Photo Retouching' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '506', 'Photo Duping' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '514', 'Portrait Photography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '77', '515', 'Color Photo Printing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '0', 'Film and Video' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '411', 'DP' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '415', 'Directing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '416', 'Film Production' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '424', 'Film Scoring' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '429', 'Film Costuming' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '434', 'Camera' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '435', 'Cinematography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '442', 'Editing - PC / Mac' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '449', 'Editing - AVID' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '461', 'Film Wardrobe' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '464', 'Gaffer' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '469', 'Film Set Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '474', 'Makeup' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '484', 'Film Special Effects' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '487', 'Animation - Manual' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '500', 'Digital Filmmaking' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '502', 'Grip' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '503', 'Videography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '525', 'Animation - Computer' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '78', '526', 'Film Sound Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '0', 'Acting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '410', 'Stunt Work' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '422', 'TV Acting - Prime Time' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '450', 'Film Acting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '454', 'TV Acting - Daytime' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '457', 'Industrials Acting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '460', 'TV Acting - Cable' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '475', 'Monologue' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '488', 'Stage Acting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '509', 'Musical Theater Acting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '79', '527', 'TV Acting - Ads' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '0', 'Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '407', 'Advertising Copy - Web' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '413', 'Script Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '419', 'Technical Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '437', 'Speechwriting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '439', 'Advertising Copy - Television' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '440', 'Fiction Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '443', 'Journalism' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '447', 'Medical Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '453', 'Advertising Copy - Radio' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '455', 'Advertising Copy - Print' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '476', 'Documentary' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '477', 'Editing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '483', 'Legal Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '494', 'Music Reviewing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '504', 'Instructional Web Copy' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '510', 'Grant Proposal Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '511', 'Software Documentation' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '512', 'Financial Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '80', '523', 'Translation' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '0', 'Art' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '417', 'Logo Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '423', 'Graphic Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '438', 'Art Production' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '444', 'Art Direction' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '445', 'Sketching' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '446', '3D Art' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '462', 'Sculpting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '480', 'Painting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '489', 'Digital Art' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '490', 'Web Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '498', 'Typography' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '505', 'Comic Book Art' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '81', '518', 'Cartoon Art' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '0', 'Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '420', 'Humor & Whimsical Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '430', 'Ethnic Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '431', 'Charts, Map & Graph Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '452', 'Childrens Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '458', 'Black and White Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '466', 'Comic Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '482', 'Science & Technical Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '499', 'Editorial Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '517', 'Architectural Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '521', 'Computer Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '524', 'How-to Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '82', '528', 'Animal Illustration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '0', 'Music' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '406', 'Music Engineering' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '408', 'Music Publishing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '412', 'Music Mixing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '414', 'Instrument - Wind' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '418', 'Sound Engineering' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '433', 'Music Production' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '436', 'Instrument - Electronic' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '441', 'Instrument - Brass' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '448', 'Performance - Orchestral' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '451', 'Sound Production' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '456', 'Instrument - Percussion' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '459', 'Computer Music' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '465', 'Voice' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '467', 'Digital Music' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '470', 'Music Composition' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '471', 'Deejaying' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '478', 'Music Promotion' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '485', 'Advertising Jingles' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '486', 'Performance - Band' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '492', 'Performance - Choral' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '495', 'Film Scoring' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '507', 'Music Conducting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '508', 'Music Mastering' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '513', 'Song Writing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '516', 'Instrument - Strings' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '519', 'Music Duplication' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '520', 'Sound Recording' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '1', '83', '522', 'Music Distribution' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '0', '0', 'Business Skills' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '0', 'Business Development' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '272', 'Brand Strategy' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '273', 'Business Plans' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '274', 'Business Presentations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '275', 'Business Strategy' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '276', 'Customer Retention' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '277', 'Deal-making' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '278', 'Investor Relations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '279', 'Market Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '280', 'Market Research' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '281', 'Market Segmentation' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '282', 'Persuasive Communications' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '69', '283', 'Statistical Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '0', 'Finance' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '284', 'Accounting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '285', 'Auditing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '286', 'Budget Planning' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '287', 'Cash Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '288', 'Credit Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '289', 'Currency Exchange' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '290', 'Debt Collections' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '291', 'Equity Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '292', 'Finance Control' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '293', 'Financial Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '294', 'Financial Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '295', 'Financial Statistics Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '296', 'Financial Systems' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '297', 'Insurance' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '298', 'Investment' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '299', 'Payroll' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '300', 'Profit & Loss' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '301', 'Purchasing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '302', 'Real Estate Finance' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '303', 'Risk Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '304', 'Tax Compliance' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '305', 'Tax Planning' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '306', 'Tax Preparation' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '70', '307', 'Treasury Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '0', 'General Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '308', 'Administration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '309', 'Deal-making' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '310', 'Employee Relations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '311', 'Financial Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '312', 'Leadership' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '313', 'New Business Opportunities' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '314', 'Persuasive Communications' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '315', 'Profit & Loss' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '316', 'Project Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '317', 'Public Speaking' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '71', '318', 'Team Coordination' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '0', 'Human Resources' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '319', 'Benefits Administration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '320', 'Benefits Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '321', 'Compensation Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '322', 'EEO Compliance' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '323', 'Employee Counseling' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '324', 'Oracle' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '325', 'Organizational Development' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '326', 'Payroll Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '327', 'PeopleSoft' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '328', 'Recruitment' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '72', '329', 'Training' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '0', 'International' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '330', 'Arabic' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '331', 'Business Development' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '332', 'Cantonese' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '333', 'Deal-making' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '334', 'English' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '335', 'French' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '336', 'General Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '337', 'German' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '338', 'Hebrew' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '339', 'Import / Export' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '340', 'International Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '341', 'International Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '342', 'Italian' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '343', 'Japanese' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '344', 'Jetlag Immunity' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '345', 'Living Abroad' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '346', 'Mandarin' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '347', 'Politics' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '348', 'Portuguese' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '349', 'Russian' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '73', '350', 'Spanish' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '0', 'Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '351', '1:1 Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '352', 'Brand Identity' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '353', 'Customer Relationships' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '354', 'Direct Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '355', 'Email Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '356', 'Event Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '357', 'Guerrilla Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '358', 'International Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '359', 'Market Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '360', 'Market Research' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '361', 'Market Strategy' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '362', 'Marketing Training' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '363', 'Mobile Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '364', 'New Product Development' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '365', 'Online Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '366', 'Print Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '367', 'Product Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '368', 'Product Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '369', 'Promotions' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '370', 'Public Relations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '371', 'Radio Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '372', 'Running Focus Groups' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '373', 'Statistical Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '374', 'Telemarketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '375', 'Television Marketing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '74', '376', 'Trade Shows' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '0', 'Production/Operations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '377', 'Assembly Procedures' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '378', 'Efficiency Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '379', 'Employee Relations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '380', 'Engineering Support' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '381', 'Failure Analysis' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '382', 'Manufacturing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '383', 'Operations' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '384', 'Plant Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '385', 'Plant Safety' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '386', 'Product Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '387', 'Quality Control' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '388', 'Security' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '389', 'Team Coordination' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '75', '390', 'Vendor Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '0', 'Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '391', 'Account Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '392', 'Catalogue Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '393', 'Customer Service' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '394', 'E-commerce' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '395', 'House Calls' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '396', 'Import / Export' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '397', 'Industrial Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '398', 'International' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '399', 'Media Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '400', 'Mystery Shopping' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '401', 'Retail Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '402', 'Sales Representation' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '403', 'Sales Training' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '404', 'Telephone Sales' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '2', '76', '405', 'Wholesale Distribution' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '0', '0', 'Technical Skills' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '0', 'Databases' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '529', '4D' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '530', 'Administration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '531', 'Access' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '532', 'Btrieve' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '533', 'Clipper' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '534', 'Datarieve' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '535', 'DB2' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '536', 'DBase' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '537', 'DMS1100' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '538', 'Easytrieve' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '539', 'Excel' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '540', 'Filemaker Pro' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '541', 'Forest and Trees' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '542', 'Foxpro' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '543', 'IMS' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '544', 'Informix' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '545', 'InterBase' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '546', 'Lasso' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '547', 'Lotus Approach' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '548', 'Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '549', 'Paradox' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '550', 'PostgreSQL' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '551', 'Oracle' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '552', 'QMF' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '553', 'SQL' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '84', '554', 'SyBase' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '0', 'Engineering' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '555', 'Aeronautical' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '556', 'Architecture' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '557', 'AutoCad Customization' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '558', 'CAD' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '559', 'Chemistry' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '560', 'Circuit Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '561', 'Chemical' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '562', 'Electrical Engineering' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '563', 'Industrial Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '564', 'Plastic Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '565', 'Power Distribution' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '566', 'Process Control' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '567', 'Prototyping' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '568', 'Quality Control' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '85', '569', 'Quality Source Inspection' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '0', 'Internet' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '570', 'Announcement' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '571', 'ASP' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '572', 'CGI' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '573', 'Cold Fusion' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '574', 'Customer Support' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '575', 'Database' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '576', 'Domain Registration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '577', 'Domino' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '578', 'Frontpage' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '579', 'HTML' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '580', 'Games' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '581', 'Java' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '582', 'Javascript' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '583', 'Lasso' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '584', 'Mailing List' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '585', 'Promotional' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '586', 'Research' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '587', 'Search Engine Submitting' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '588', 'Shockwave / Flash' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '589', 'Sound' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '590', 'Systems Configuration' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '591', 'Video' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '592', 'VBScript' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '593', 'VRML' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '594', 'Website Design' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '595', 'Website Editing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '596', 'Website Proofreading' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '597', 'Website Usability' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '86', '598', 'XML' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '0', 'Multimedia' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '599', '3D' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '600', 'Graphic Artist' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '601', 'Macromedia' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '602', 'Midi' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '603', 'Mixer / Remixer' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '604', 'MP3' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '605', 'Online Editor' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '606', 'Real Audio / Video' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '607', 'Scanning' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '608', 'Sound' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '87', '609', 'Video' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '0', 'Networking' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '610', 'Modem' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '611', 'ISDN' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '612', 'Fiber' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '613', '10/100 Base-X' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '614', 'TCP/IP' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '615', 'Token Ring' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '616', 'WAN' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '88', '617', 'Wireless' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '0', 'Operating Sys.' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '618', 'AIX' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '619', 'AS/400' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '620', 'Amiga' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '621', 'BeOS' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '622', 'BSD' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '623', 'DOS' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '624', 'HP - UX' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '625', 'IBM Mainframe' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '626', 'IRIX' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '627', 'LANSA' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '628', 'Linux' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '629', 'Macintosh' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '630', 'Multics' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '631', 'MVS' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '632', 'NetWare' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '633', 'OS/2' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '634', 'QNX' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '635', 'RS/6000' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '699', 'Sinix' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '636', 'SunOS/Solaris' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '637', 'Unisys' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '638', 'Unix' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '639', 'VMS' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '640', 'Windows 95-98' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '641', 'Windows 3.1' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '642', 'Windows NT' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '89', '643', 'Windows 2000' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '0', 'Programming' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '644', '3D Graphics' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '645', 'Access' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '646', 'ACT!' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '647', 'ActiveX' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '648', 'AppleScript' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '649', 'ASM' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '650', 'Assembly' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '651', 'Application' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '652', 'BaaN' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '653', 'Basic' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '654', 'C/C++' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '655', 'CGI' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '656', 'CICS' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '657', 'Clipper' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '658', 'COBOL' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '659', 'COM/DCOM' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '660', 'CORBA' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '661', 'Delphi' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '662', 'Embedded' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '663', 'Fortran' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '664', 'Games' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '665', 'GUI' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '666', 'Informix' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '667', 'Java' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '668', 'Limbo' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '669', 'Lingo' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '670', 'Lisp' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '671', 'Logo' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '672', 'Lotus Notes' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '673', 'Motif' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '674', 'Operating System' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '675', 'Pascal' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '676', 'Perl' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '677', 'PL/SQL' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '678', 'PL/1' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '679', 'PostScript' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '680', 'PowerBuilder' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '681', 'Progress 4GL' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '682', 'Project Management' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '683', 'Prolog' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '684', 'Realtime' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '685', 'Reverse Engineering' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '686', 'Report Program Generator' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '687', 'Shell Script' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '688', 'Small Talk' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '689', 'Software Testing' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '690', 'SQL' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '691', 'Visual Basic' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '692', 'Visual FoxPro' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '693', 'VSAM' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '90', '694', 'X-Windows' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '0', 'Hardware' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '700', 'DEC/VAX' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '701', 'RS/6000' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '702', 'AS/400' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '703', 'Sun' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '704', 'HP 9000' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '705', 'HP 3000' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '706', 'DG Aviion' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '707', 'DG Clarion' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '708', 'NCR 3400,3500' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '709', 'NCR 9400' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '710', 'Teradata' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '711', 'Siemens/Nixdorf' )");
$sth = $dbh->do("insert into SkillList2 (SkillType, SkillClass, SkillID, SkillDesc) Values ( '3', '91', '712', 'Cisco' )");

$dbh->disconnect();

