#!/usr/bin/perl
################################################################
# Program:	kmskillsearch.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates example form with input lines
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
sub mkrecord()
{
  $sth = $dbh->do("delete from InputLines2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputDB2 WHERE LineName = '${LineName}'");
  $sth = $dbh->do("delete from InputAttributes2 WHERE LineName = '${LineName}'");

  $sth = $dbh->do("insert into InputLines2 ( LineName, InputName, InputPrompt, InputTypeCGI, InputValue, InputHelp ) VALUES ( '${LineName}', '${InputName}', '${InputPrompt}', '${InputTypeCGI}', '${InputValue}', '${InputHelp}' )");
  $sth = $dbh->do("insert into InputDB2 ( LineName, InputName, TableName, FieldName, InputTypeSQL ) VALUES ( '${LineName}', '${InputName}', '${TableName}', '${FieldName}', '${InputTypeSQL}' )");
  $sth = $dbh->do("insert into InputAttributes2 ( LineName, InputName, Height, Width, Selected, Multiple, Required ) VALUES ( '${LineName}', '${InputName}', '${Height}', '${Width}', '${Selected}', '${Multiple}', '${Required}' )");
}
################################################################
sub mkformline()
{
  $sth = $dbh->do("insert into FormLines2 ( FormName, LineName, PositionID ) VALUES ( '${FormName}', '${LineName}', '${PositionID}' )");
}
################################################################
use DBI;

$|=1;

do 'DS_DBIforms.pl';

$dbh = DBI->connect() ;

$sth = $dbh->do("delete from InputPage2 WHERE FormName = 'KMSkillsearch'");
$sth = $dbh->do("insert into InputPage2 ( FormName, Page_Title, Contact_Name, Contact_Email, Clr_PageBg, Clr_Link, Clr_Alink, Clr_Vlink, Clr_TDBg, Clr_THBg, Clr_BaseFont, Clr_THFont, Clr_TDFont, Siz_BaseFont, Siz_THFont, Siz_TDFont, CellSpacing, CellPadding, Pretable_Script, Posttable_Script, Form_Action, Form_Method ) VALUES ( 'KMSkillsearch', 'Search KM Skills Database', 'Dana French', 'dfrench\@netplexgroup.com', 'white', 'blue', 'yellow', 'red', 'lightyellow', 'lightblue', 'black', 'darkblue', 'black', '4', '4', '3', '0', '5', 'kmskills_pretable.pl', '', 'kmskillsearch.pl', 'POST' )");

################################################################
#  Associate input lines with a form
################################################################

${FormName} = 'KMSkillsearch';
$sth = $dbh->do("delete from FormLines2 WHERE FormName = '${FormName}'");

# ${LineName} = 'netplexid';
# ${PositionID} = '1';
# &mkformline;
# 
# ${LineName} = 'skilltype';
# ${PositionID} = '2';
# &mkformline;
# 
# ${LineName} = 'skillclass';
# ${PositionID} = '3';
# &mkformline;
# 
# ${LineName} = 'skillid';
# ${PositionID} = '4';
# &mkformline;
# 
# ${LineName} = 'skilldesc';
# ${PositionID} = '5';
# &mkformline;
# 
# ${LineName} = 'revlevel';
# ${PositionID} = '6';
# &mkformline;
# 
# ${LineName} = 'skilllevel';
# ${PositionID} = '7';
# &mkformline;
# 
# ${LineName} = 'skilllevelexpert';
# ${PositionID} = '701';
# &mkformline;
# 
# ${LineName} = 'skilllevelsenior';
# ${PositionID} = '702';
# &mkformline;
# 
# ${LineName} = 'skilllevelmid';
# ${PositionID} = '703';
# &mkformline;
# 
# ${LineName} = 'skillleveljunior';
# ${PositionID} = '704';
# &mkformline;
# 
# ${LineName} = 'skillexp';
# ${PositionID} = '8';
# &mkformline;
# 
# ${LineName} = 'skillexp0';
# ${PositionID} = '801';
# &mkformline;
# 
# ${LineName} = 'skillexp1';
# ${PositionID} = '802';
# &mkformline;
# 
# ${LineName} = 'skillexp3';
# ${PositionID} = '803';
# &mkformline;
# 
# ${LineName} = 'skillexp5';
# ${PositionID} = '804';
# &mkformline;
# 
# ${LineName} = 'skillexp7';
# ${PositionID} = '805';
# &mkformline;
# 
# ${LineName} = 'skillexp9';
# ${PositionID} = '806';
# &mkformline;
# 
# ${LineName} = 'skillexp10';
# ${PositionID} = '807';
# &mkformline;
# 
# ${LineName} = 'skilllast';
# ${PositionID} = '9';
# &mkformline;
# 
# ${LineName} = 'skilllast0';
# ${PositionID} = '901';
# &mkformline;
# 
# ${LineName} = 'skilllast1';
# ${PositionID} = '902';
# &mkformline;
# 
# ${LineName} = 'skilllast2';
# ${PositionID} = '903';
# &mkformline;
# 
# ${LineName} = 'skilllast3';
# ${PositionID} = '904';
# &mkformline;
# 
# ${LineName} = 'skilllast4';
# ${PositionID} = '905';
# &mkformline;
# 
# ${LineName} = 'skilllast5';
# ${PositionID} = '906';
# &mkformline;
# 
# ${LineName} = 'skilllast6';
# ${PositionID} = '907';
# &mkformline;
# 
# ${LineName} = 'skillpref';
# ${PositionID} = '10';
# &mkformline;
# 
# ${LineName} = 'skillpref5';
# ${PositionID} = '1005';
# &mkformline;
# 
# ${LineName} = 'skillpref4';
# ${PositionID} = '1004';
# &mkformline;
# 
# ${LineName} = 'skillpref3';
# ${PositionID} = '1003';
# &mkformline;
# 
# ${LineName} = 'skillpref2';
# ${PositionID} = '1002';
# &mkformline;
# 
# ${LineName} = 'skillpref1';
# ${PositionID} = '1001';
# &mkformline;
# 
# ${LineName} = 'certification';
# ${PositionID} = '11';
# &mkformline;
# 
# ${LineName} = 'certnumber';
# ${PositionID} = '12';
# &mkformline;
# 
# ${LineName} = 'certrenew';
# ${PositionID} = '13';
# &mkformline;

$dbh->disconnect();
