#!/usr/bin/perl
################################################################
# Program:	mktables.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Creates database tables from form definitions
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

${TITLE1} = "Associated Tables";
${TITLE2} = "";
${TITLE3} = "Create Database Tables";
&titleBar;
# print "<P><CENTER><H1>${Page_Title}</H1></CENTER></P>\n";
# print "<P><HR></P>\n";

if ( ( ${FORMNAME} eq '' ) 
|| ( ${FORMNAME} eq 'MKPAGE' ) 
|| ( ${FORMNAME} eq 'MKLINE' ) ) {
  print "<P><UL>\n";
  $sql = "SELECT FormName FROM InputPage2 WHERE FormName <> 'MKPAGE' AND FormName <> 'MKLINE' Order by FormName";
  $sth = $dbh->prepare($sql);
  $sth->execute;

  my $rl_names = $sth->{NAME};

  while (@results = $sth->fetchrow_array) {
    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    foreach $form_name (@$rl_names) {
      ${${form_name}} = shift @results;

      print "<P>\n";
      print "<LI> <A Href=\"$ENV{SCRIPT_NAME}?FORMNAME=", ${FormName}, "\">Click Here</A> to drop and create all tables associated with form \"", ${FormName}, "\"<BR>\n";
      print "<UL>\n";

      $sql = "SELECT Distinct TableName FROM InputDB2,FormLines2 WHERE InputDB2.LineName = FormLines2.LineName AND FormLines2.FormName = '${FormName}'";
      $sth2 = $dbh->prepare($sql);
      $sth2->execute;
      my(@InputLines);
      my $rl_tables = $sth2->{NAME};
      while (@InputLines = $sth2->fetchrow_array) {

        if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
        foreach $table_name (@$rl_tables) {
          ${${table_name}} = shift @InputLines;
          print "<LI> " . ${${table_name}} . "\n";
          print "<UL>\n";

          $sql = "SELECT Distinct FieldName,InputTypeSQL FROM InputDB2,FormLines2 WHERE InputDB2.LineName = FormLines2.LineName AND FormLines2.FormName = '${FormName}' AND InputDB2.TableName = '${TableName}'";
          $sth3 = $dbh->prepare($sql);
          $sth3->execute;
          my(@InputFields);
          my $rl_fields = $sth3->{NAME};
          while (@InputFields = $sth3->fetchrow_array) {

            if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
              foreach $field_name (@$rl_fields) {
                ${${field_name}} = shift @InputFields;
#                 print "<LI> " . ${${field_name}} . "\n";
              }
              print "<LI> " . ${FieldName} . "&nbsp;<FONT Size=\"-1\"><I>" . ${InputTypeSQL} . "</I></FONT>\n";
            }
            $sth3->finish();
            print "</UL>\n";
          }
        }
        $sth2->finish();
        print "</UL>\n";
        print "</P>\n";
      }
    }
    $sth->finish();
    print "</UL></P>\n";
    print "<P><HR></P>\n";

    &linkBar;
    &footer;

    $dbh->disconnect();
    exit;
}

$sql = "SELECT Distinct TableName,FieldName,InputTypeSQL FROM InputDB2,FormLines2 WHERE InputDB2.LineName = FormLines2.LineName AND FormLines2.FormName = '${FormName}'";

$sth = $dbh->prepare($sql);
$sth->execute;
my(@InputLines);
my $rl_names = $sth->{NAME};
while (@InputLines = $sth->fetchrow_array) {

    if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
#      print ${field_name} . " = " . ${${field_name}} . "<BR>\n";
    }

    $SQLFIELDS{${TableName}} = $SQLFIELDS{${TableName}} . ${FieldName} . " " . ${InputTypeSQL} . ", ";
#     print "key = " . $SQLFIELDS{KEY} . "\n";
#     print "InputLines = " . $SQLFIELDS{InputLines} . "\n";
#     print "InputDB = " . $SQLFIELDS{InputDB} . "\n";
#     print "InputAttributes = " . $SQLFIELDS{InputAttributes} . "\n";
}
$sth->finish();

# $sth2 = $dbh->do("begin work");
foreach $table_name (keys %SQLFIELDS) {
    if ( $table_name ne 'KEY' ) {
        my ${TMPFIELDS} = $SQLFIELDS{KEY} . $SQLFIELDS{${table_name}};
        ${TMPFIELDS} =~ s|, $||g;

#         $sql_statement = "drop table ${table_name}";
#         print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";
#         $sth = $dbh->do($sql_statment);

        $sql_statement = "drop table ${table_name}; CREATE TABLE ${table_name} ( " . $TMPFIELDS . " )";
        print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";
        $sth = $dbh->do($sql_statement);
        if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
        print "<P>Table \"<I>${table_name}</I>\" Created</P>\n";
    }
}

print "<P><HR></P>\n";
&linkBar;
&footer;

$dbh->disconnect();
