#!/usr/bin/perl
################################################################
# Program:	search.pl
#		Copyright (c) 2000 by Dana French
#		All Rights Reserved
#
# Description:	Allows user to search records in database
#
# Author: Dana French (dfrench@xoommail.com)
# 
# Date: 04/14/2000
# 
################################################################
use DBI;

$|=1;
@script_file = split(/\//, $ENV{SCRIPT_NAME} );

do 'DS_DBIforms.pl';
do 'SUB_DBIforms.pl';

$dbh = DBI->connect() ;

&cgiParse;
&selectInputPage;
&header;

if ( ${FORMNAME} eq '' ) {
    ${text_string} = "to Search records with form";
    &formNameNull;
}

################################################################
# Parse through the CGI vars again and extract the tables, fields and values
################################################################
my ($TABLES) = '';
my ($SELECT) = '';
my ($fields) = '';
my ($FIELDS);
my ($VALUES);
foreach $pair (@pairs) {
    ($key, $value) = split(/=/, $pair);
    ${_} = ${key};
    next if m|(.+?)_TABLENAME$|;
    next if m|(.+?)_FIELDNAME$|;
#     next if m|^FORMNAME$|;

#     $value =~ tr/+/ /;
#     $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
#     $value =~ tr/\cM/\n/;
# #     print "$key = $value<BR>\n";
#     eval("\$$key = \"$value\"");
#     $FORM{$key} = $value;

    eval("\${TABLEID} = \"\${${key}_TABLENAME}\"");
    eval("\${FIELDID} = \"\${${key}_FIELDNAME}\"");
#     $fields->{${TABLEID}}->{${FIELDID}} = ${value};
    $fields->{${TABLEID}}->{${FIELDID}} = ${${key}};
#     print "fields->{${TABLEID}}{${FIELDID}} = ", $fields->{${TABLEID}}{${FIELDID}}, "<BR>\n";
}

################################################################
# Build variable with field names and field values
################################################################
# if ( $fields ne '' ) {
foreach $subkey1 (keys %$fields) {
    $keyref = $fields->{${subkey1}};
    foreach $subkey2 (keys %$keyref) {
        $SQLFIELDS{${subkey1}} = $SQLFIELDS{${subkey1}} . ${subkey2} . ", ";
        $SQLVALUES{${subkey1}} = $SQLVALUES{${subkey1}} . "'" . $fields->{${subkey1}}{${subkey2}} . "', ";
        if ( $fields->{${subkey1}}{${subkey2}} ne '') {
          $SQLWHERE{${subkey1}} = $SQLWHERE{${subkey1}} . " " . ${subkey2} . " LIKE '%" . $fields->{${subkey1}}{${subkey2}} . "%' AND";
        }
    }
}

################################################################
# Build and execute SQL statement
################################################################
# $dbh->begin;

# ${TITLE1} = ${Page_Title};
# ${TITLE2} = "";
# ${TITLE3} = "Search Results";
# &titleBar;

foreach $subkey1 (keys %SQLFIELDS) {
  if ( $subkey1 ne 'KEY' && $subkey1 ne '' ) {
    my ${TMPFIELDS} = $SQLFIELDS{KEY} . $SQLFIELDS{${subkey1}};
    ${TMPFIELDS} =~ s|, $||g;
    ${TMPFIELDS} =~ s|,$||g;

    my ${TMPVALUES} = $SQLVALUES{KEY} . $SQLVALUES{${subkey1}};
    ${TMPVALUES} =~ s|, $||g;
    ${TMPVALUES} =~ s|,$||g;

    my ${TMPWHERE} = $SQLWHERE{KEY} . $SQLWHERE{${subkey1}};
    ${TMPWHERE} =~ s| AND $||g;
    ${TMPWHERE} =~ s| AND$||g;

    if ( ${TMPWHERE} ne '' ) {

    ${table_name} = ${subkey1};

    print "<A Name=\"${table_name}\"></a>\n";

    @dlftmp = split(/, /, ${TMPFIELDS});
    foreach (@dlftmp) {
      $sql_statement = "SELECT ${TMPFIELDS} FROM ${table_name} WHERE " . ${TMPWHERE} . " ORDER BY " . ${_};
print "<BR><FONT Size=\"1\">\n", $sql_statement, "</FONT><BR>\n";

      $sth = $dbh->prepare($sql_statement);
      $sth->execute;
      if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
      my $rl_names = $sth->{NAME};

      print "<A Name=\"${table_name}_${_}\"></a>\n";
      print "<P><HR></P>\n";

      print "<P><FONT Size=\"2\"><STRONG>Tables:<STRONG>\n";
      foreach ${TMPTABLE} (keys %SQLFIELDS) {
        if ( ${TMPTABLE} ne 'KEY' && ${TMPTABLE} ne '' ) {
          print " <A Href=\"#${TMPTABLE}\">${TMPTABLE}</a> |\n";
        }
      }
      print "</FONT><BR>\n";
      print "<FONT Size=\"2\"><STRONG>${table_name}</STRONG> Sorted Lists: \n";
      foreach ${dlf} (@dlftmp) {
        print " <A Href=\"#${table_name}_${dlf}\">${dlf}</a> |\n";
      }
      print "</FONT></P>\n";

      print "<P><STRONG><FONT Size=\"+1\">Search Results for Database Table:</STRONG> <I>${table_name}</I></FONT><BR>Order By</STRONG> <I>${_}</I></P>\n";
      print "<P><TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" CellPadding=\"${CellPadding}\">\n";

      print "<P><TR>\n";
      foreach $field_name (@$rl_names) {
        print "<TH Bgcolor=\"${Clr_THBg}\"><FONT Color=\"${Clr_THFont}\" Size=\"${Siz_THFont}\">${field_name}</FONT></TH>\n";
      }
      print "</TR></P>\n";

      while (@results = $sth->fetchrow_array) {
        if ($DBI::err) { print STDOUT $DBI::errstr,"\n"; last; }
        print "<P><TR>\n";
        foreach $field_name (@$rl_names) {
          ${${field_name}} = shift @results;
          print "<TD Bgcolor=\"${Clr_TDBg}\"><FONT Color=\"${Clr_TDFont}\" Size=\"${Siz_TDFont}\">&nbsp;${${field_name}}</FONT></TD>\n";
        }
        print "</TR></P>\n";
      }
      print "</TABLE></P>\n";
    }
    }
  }
}

$sth->finish();
$dbh->disconnect();
$dbh0 = DBI->connect() ;
$dbh1 = DBI->connect() ;
$dbh2 = DBI->connect() ;
$dbh3 = DBI->connect() ;

${TITLE1} = ${Page_Title};
${TITLE2} = "";
${TITLE3} = "Input Search Criteria";
&titleBar;

print "<P><HR></P>\n";

if ( ${Form_Action} eq '' ) {
  print "<FORM Name=\"form1\" Action=\"$ENV{SCRIPT_NAME}\" Method=\"${Form_Method}\"><P><CENTER>\n";
} else {
  print "<FORM Name=\"form1\" Action=\"${Form_Action}\" Method=\"${Form_Method}\"><P><CENTER>\n";
}

print "<INPUT Type=\"hidden\" Name=\"FORMNAME\" Value=\"${FORMNAME}\">\n";

do "${Pretable_Script}" if ( ${Pretable_Script} ne '' );
    
print "<TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" Cellpadding=\"${CellPadding}\">\n";
# DLF print "<FORM><P><CENTER>\n";
# DLF print "<TABLE Border=\"0\" Cellspacing=\"${CellSpacing}\" Cellpadding=\"${CellPadding}\">\n";

$sql = "SELECT * FROM FormLines2 WHERE FormName = '${FORMNAME}' ORDER BY PositionID";
$sth0 = $dbh0->prepare($sql);
$sth0->execute;
my(@FormLines);
my $fl_names = $sth0->{NAME};
while (@FormLines = $sth0->fetchrow_array) {

  if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
  foreach $field_name (@$fl_names) {
    ${${field_name}} = shift @FormLines;
# print "${field_name} = ${${field_name}}<BR>\n";
  }

  $sql = "SELECT * FROM InputLines2 WHERE LineName = '${LineName}' AND InputTypeCGI <> 'option'";
  $sth1 = $dbh1->prepare($sql);
  $sth1->execute;
  my(@InputLines);
  my $rl_names = $sth1->{NAME};
  while (@InputLines = $sth1->fetchrow_array) {

    if ($DBI::err) { print STDERR $DBI::errstr,"\n"; last; }
    foreach $field_name (@$rl_names) {
      ${${field_name}} = shift @InputLines;
# print "${field_name} = ${${field_name}}<BR>\n";
    }

    $sql = "select * from InputDB2 WHERE LineName = '${LineName}' AND InputName = '${InputName}'";
    &fetchInputDB;

    $sql = "select * from InputAttributes2 WHERE LineName = '${LineName}' AND InputName = '${InputName}'";
    &fetchInputAttributes;

    $sth2->finish();
    $sth3->finish();

# Added to allow multiple selections in a search
    ${Multiple} = '1';
    ${Required} = '0';

    if ( ${InputTypeCGI} eq 'option' ) {
      next;
    }

    ${InputValue} = localtime() if ( ${InputValue} eq '${LOCALTIME}' );

# Added to make search criteria generalized
    ${InputTypeCGI} = 'text';
    ${InputValue} = '';

    print "<P>\n";
    print "  <TR>\n";
#     &positionID;
    &inputPrompt;
    &inputValue;
#     &inputHelp;
    print "  </TR>\n";
    print "</P>\n";
  }
}

print "<P><CAPTION Align=\"top\"><STRONG><FONT Size=\"${Siz_THFont}\">\n";
print "<FONT Color=\"red\">*</FONT> - \n";
print "<FONT Color=\"${Clr_THFont}\">Indicates required input</FONT>\n";
print "</FONT></STRONG></CAPTION></P>\n";

print "</TABLE></CENTER></P>\n";
print "<P><CENTER>\n";
print "<INPUT Type=\"submit\" Value=\"Search\">\n";
print "&nbsp;<INPUT Type=\"reset\" Value=\"Reset\">\n";
print "</CENTER></P>\n";
print "</FORM>\n";
print "<P><HR></P>\n";

&linkBar;
&footer;

$dbh1->disconnect();
$dbh2->disconnect();
$dbh3->disconnect();
